using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> The default decision node.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class LabeledDiscreteDecisionChanceNode:DiscreteDecisionChanceNode
	{
		
		/// <summary> Creates a labelled decision node within the specified domain.</summary>
		/// <param name="ld">The domain.
		/// @throws MLPDuplicateNodeNameException
		/// </param>
		public LabeledDiscreteDecisionChanceNode(LimidDomain ld):base(ld)
		{
		}
		
		/// <summary> Returns the string "labeled".</summary>
		/// <returns> The string "labeled".
		/// </returns>
		protected internal override System.String getSubtype()
		{
			return "labelled";
		}
		
		//UPGRADE_TODO: The equivalent of method 'java.lang.Object.clone' is not an override method. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1143"'
		protected internal System.Object Clone()
		{
			try
			{
				LabeledDiscreteDecisionChanceNode newNode = new LabeledDiscreteDecisionChanceNode(this.HomeDomain);
				newNode.copyNode(this);
				return newNode;
			}
			catch (MLPException ex)
			{
				return null;
			}
		}
	}
}