using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> Thrown if the graph is not connected. Graphs that are only connected via
	/// a utility node are considered as not connected.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class MLPGraphNotConnectedException:MLPException
	{
		
		/// <summary> Created from a so-called start node. If the start node cannot be reached
		/// from all other nodes, the exception should be thrown. The name of the
		/// start node will appear in the message.
		/// </summary>
		/// <param name="startNode">The start node.
		/// </param>
		public MLPGraphNotConnectedException(Node startNode):base("The graph is not connected. At least one node is not reachable from \"" + startNode + "\".")
		{
			//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Object.toString' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
		}
	}
}