using System;
namespace dk.esthauge.limid.api
{
	
	/// <summary> An interface defining the methods specific for numbered nodes.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public interface StateValues
		{
			
			/// <summary> Defines the state value for the specified state</summary>
			/// <param name="s">The state index.
			/// </param>
			/// <param name="v">The desired value.
			/// </param>
			void  setStateValue(int s, double v);
			
			/// <summary> Returns the current value for the specified state</summary>
			/// <param name="s">The state index.
			/// </param>
			/// <returns> The current value.
			/// </returns>
			double getStateValue(int s);
		}
}