using System;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> An interface supporting the so-called "Command pattern".
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public interface Command
		{
			
			/// <summary> Executes the command</summary>
			void  execute();
			
			/// <summary> Un-does the command</summary>
			void  undo();
			
			/// <summary> Returns a descriptive name of the command. The name is used for display
			/// in the "Undo" and "Redo" menu items.
			/// </summary>
			/// <returns> The name of the command
			/// </returns>
			System.String ToString();
		}
}