using System;
using dk.esthauge.limid.api;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> An interface defining some common features of different table models.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public interface CommonProbabilityTableModel : TableModel
		{
			/// <summary> Returns the potential table behind the table model.</summary>
			/// <returns> The potential table
			/// </returns>
			DefaultProbabilityPotential ProbabilityTable
			{
				get;
				
			}
			/// <summary> Returns all potential tables used by the table model. This method is
			/// defined with reference to the numerical contents of utility nodes which
			/// have several potential tables.
			/// </summary>
			/// <returns> A list of potentials
			/// </returns>
			//UPGRADE_ISSUE: Class hierarchy differences between 'java.util.ArrayList' and 'System.Collections.ArrayList' may cause compilation errors. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1186"'
			System.Collections.ArrayList AllPotentials
			{
				get;
				
			}
			
			/// <summary> Calculates the row sum.</summary>
			/// <param name="row">The index of the row.
			/// </param>
			/// <returns> The sum.
			/// </returns>
			//UPGRADE_TODO: Interface 'javax.swing.table.TableModel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			double getRowSum(int row);
		}
}