using System;
using dk.esthauge.limid.api;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> A command compiling the active Limid.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	
	public class JunctionTreeCommand : Command
	{
		private LimidDomain limid;
		private LimidCanvas canvas;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		private JMenuItem junction;
		
		/// <summary> Creates a command object.</summary>
		/// <param name="can">The active canvas
		/// </param>
		/// <param name="junc">The menu item representing the "View Junction tree"
		/// </param>
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		public JunctionTreeCommand(LimidCanvas can, JMenuItem junc)
		{
			canvas = can;
			limid = can.Limid;
			junction = junc;
		}
		
		public virtual void  execute()
		{
			try
			{
				limid.compile();
				//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				junction.setEnabled(true);
			}
			catch (MLPOperationNotAllowedException ex)
			{
				//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
				//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				JOptionPane.showMessageDialog(canvas.Owner, ex.Message, "Error compiling model", JOptionPane.ERROR_MESSAGE);
			}
			catch (MLPGraphNotConnectedException ex)
			{
				//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
				//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				JOptionPane.showMessageDialog(canvas.Owner, ex.Message, "Unconnected graph", JOptionPane.ERROR_MESSAGE);
			}
		}
		
		public virtual void  undo()
		{
			limid.deCompile();
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			junction.setEnabled(false);
		}
		
		public virtual System.String ToString()
		{
			return "Compile";
		}
	}
}