using System;
using dk.esthauge.limid.api;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> The canvas used for drawing Limids.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
	public class LimidCanvas:JPanel
	{
		static private System.Int32 state;
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassMouseAdapter' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassMouseAdapter
		{
			public AnonymousClassMouseAdapter(LimidCanvas enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidCanvas enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidCanvas enclosingInstance;
			public LimidCanvas Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			public void  mouseClicked(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.this_mouseClicked(event_sender, e);
			}
			public void  mousePressed(System.Object event_sender, System.Windows.Forms.MouseEventArgs e)
			{
				Enclosing_Instance.this_mousePressed(event_sender, e);
			}
			public void  mouseReleased(System.Object event_sender, System.Windows.Forms.MouseEventArgs e)
			{
				Enclosing_Instance.this_mouseReleased(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassMouseMotionListener' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassMouseMotionListener
		{
			public AnonymousClassMouseMotionListener(LimidCanvas enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidCanvas enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidCanvas enclosingInstance;
			public LimidCanvas Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			public virtual void  mouseDragged(System.Object event_sender, System.Windows.Forms.MouseEventArgs e)
			{
				Enclosing_Instance.min_mouseDragged(event_sender, e);
			}
			public virtual void  mouseMoved(System.Object event_sender, System.Windows.Forms.MouseEventArgs e)
			{
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassFocusAdapter' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassFocusAdapter
		{
			public AnonymousClassFocusAdapter(LimidCanvas enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidCanvas enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidCanvas enclosingInstance;
			public LimidCanvas Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			public void  focusLost(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.canvas_focusLost(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassLimidSelectionListener' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassLimidSelectionListener : LimidSelectionListener
		{
			public AnonymousClassLimidSelectionListener(LimidCanvas enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidCanvas enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidCanvas enclosingInstance;
			public LimidCanvas Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			public virtual void  selectionCleared()
			{
				Enclosing_Instance.owner.setSelectionCleared();
			}
			public virtual void  selectionCreated()
			{
				Enclosing_Instance.owner.setSelectionCreated();
			}
		}
		public virtual void  mouseDown(System.Object event_sender, System.Windows.Forms.MouseEventArgs e)
		{
			state = ((int) e.Button | (int) System.Windows.Forms.Control.ModifierKeys);
		}
		private void  InitBlock()
		{
			mostRecentLeftClick = new System.Drawing.Point(40, 40);
			mostRecentRightClick = new System.Drawing.Point(40, 40);
			mostRecentDraggPoint = new System.Drawing.Point(40, 40);
		}
		/// <summary> Defines the mode for adding chance nodes</summary>
		/// <param name="mode">true if chance nodes are added.
		/// </param>
		virtual public bool AddChanceMode
		{
			set
			{
				addChanceMode = value;
				updateAddNodeMode();
			}
			
		}
		/// <summary> Defines the mode for adding decision nodes</summary>
		/// <param name="mode">true if decision nodes are added.
		/// </param>
		virtual public bool AddDecisionMode
		{
			set
			{
				addDecisionMode = value;
				updateAddNodeMode();
			}
			
		}
		/// <summary> Defines the mode for adding utility nodes</summary>
		/// <param name="mode">true if utility nodes are added.
		/// </param>
		virtual public bool AddUtilityMode
		{
			set
			{
				addUtilityMode = value;
				updateAddNodeMode();
			}
			
		}
		/// <summary> Returns the currently selected nodes.</summary>
		/// <returns> The selected nodes.
		/// </returns>
		virtual public NodeList SelectedNodes
		{
			get
			{
				return selectedItems.SelectedNodes;
			}
			
		}
		/// <summary> Defines the mode concerning edge adding</summary>
		/// <param name="isAdding">true if edges are being added.
		/// </param>
		virtual public bool AdEdgeMode
		{
			set
			{
				this.addEdgeMode = value;
				this.edgeParent = null;
				if (value)
				{
					this.addChanceMode = false;
					this.addDecisionMode = false;
					this.addUtilityMode = false;
					this.updateAddNodeMode();
				}
			}
			
		}
		/// <summary> Returns the most recent right mouse click</summary>
		/// <returns> The most recent right mouse click
		/// </returns>
		//UPGRADE_TODO: Class 'java.awt.geom.Point2D' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		virtual public Point2D MostRecentRightClick
		{
			get
			{
				return this.mostRecentRightClick;
			}
			
		}
		/// <summary> Returns the Limid being drawn on this canvas</summary>
		/// <returns> The Limid
		/// </returns>
		virtual public LimidDomain Limid
		{
			get
			{
				return limid;
			}
			
		}
		/// <summary> Returns all selected items as a list</summary>
		/// <returns> All selected items.
		/// </returns>
		virtual public SupportClass.ListCollectionSupport SelectedItems
		{
			get
			{
				SupportClass.ListCollectionSupport selected = SupportClass.CreateCollection(selectedItems);
				return selected;
			}
			
		}
		/// <summary> Returns the current selection set</summary>
		/// <returns> The selection set.
		/// </returns>
		virtual public SelectionSet SelectionSet
		{
			get
			{
				return this.selectedItems;
			}
			
		}
		/// <summary> Returns all items on the canvas. This means all nodes and all directed
		/// edges.
		/// </summary>
		/// <returns> A collection containing all items.
		/// </returns>
		//UPGRADE_ISSUE: Class hierarchy differences between ''java.util.Collection'' and ''SupportClass.CollectionSupport'' may cause compilation errors. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1186"'
		virtual public SupportClass.CollectionSupport AllItems
		{
			get
			{
				NodeList allNodes = limid.Nodes;
				SupportClass.ListCollectionSupport allItems = SupportClass.CreateCollection(allNodes);
				System.Collections.IEnumerator ite = allNodes.GetEnumerator();
				//UPGRADE_TODO: Method 'java.util.Iterator.hasNext' was converted to 'System.Collections.IEnumerator.MoveNext' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratorhasNext"'
				while (ite.MoveNext())
				{
					//UPGRADE_TODO: Method 'java.util.Iterator.next' was converted to 'System.Collections.IEnumerator.Current' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratornext"'
					Node node = (Node) ite.Current;
					//UPGRADE_ISSUE: Class hierarchy differences between ''java.util.Collection'' and ''SupportClass.CollectionSupport'' may cause compilation errors. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1186"'
					SupportClass.CollectionSupport edges = node.DirectedEdges.Edges;
					System.Collections.IEnumerator jte = edges.GetEnumerator();
					//UPGRADE_TODO: Method 'java.util.Iterator.hasNext' was converted to 'System.Collections.IEnumerator.MoveNext' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratorhasNext"'
					while (jte.MoveNext())
					{
						//UPGRADE_TODO: Method 'java.util.Iterator.next' was converted to 'System.Collections.IEnumerator.Current' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratornext"'
						allItems.Add(jte.Current);
					}
				}
				return allItems;
			}
			
		}
		/// <summary> Returns the owner frame of the canvas.</summary>
		/// <returns> The owner.
		/// </returns>
		virtual public LimidFrame Owner
		{
			get
			{
				return owner;
			}
			
		}
		//UPGRADE_NOTE: Respective javadoc comments were merged.  It should be changed in order to comply with .NET documentation conventions.
		/// <summary> Returns the default save file for the Limid</summary>
		/// <returns> The file.
		/// </returns>
		/// <summary> Defines a default save file for the Limid</summary>
		/// <param name="file">The file.
		/// </param>
		virtual public System.IO.FileInfo SaveFile
		{
			get
			{
				return saveFile;
			}
			
			set
			{
				saveFile = value;
			}
			
		}
		private LimidDomain limid;
		private SelectionSet selectedItems;
		private bool addEdgeMode = false;
		private bool addChanceMode = false;
		private bool addDecisionMode = false;
		private bool addUtilityMode = false;
		private bool addNodeMode = false;
		private bool multiSelecting = false;
		private bool dragging = true;
		private Node edgeParent;
		private Node edgeChild;
		private System.IO.FileInfo saveFile = null;
		
		/// <summary> The popup menu</summary>
		//UPGRADE_TODO: Class 'javax.swing.JPopupMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal JPopupMenu menu;
		
		/// <summary> The LimidFrame owning the canvas</summary>
		internal LimidFrame owner;
		
		/// <summary> The position of the most recent left mouse click</summary>
		//UPGRADE_NOTE: The initialization of  'mostRecentLeftClick' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal System.Drawing.Point mostRecentLeftClick;
		
		/// <summary> The position of the most recent right mouse click</summary>
		//UPGRADE_NOTE: The initialization of  'mostRecentRightClick' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal System.Drawing.Point mostRecentRightClick;
		
		/// <summary> The position of the most recent dragg point</summary>
		//UPGRADE_NOTE: The initialization of  'mostRecentDraggPoint' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal System.Drawing.Point mostRecentDraggPoint;
		
		/// <summary> The area currently selected</summary>
		internal SelectionArea selectionArea = null;
		
		/// <summary> Creates a new canvas</summary>
		public LimidCanvas():base()
		{
			InitBlock();
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		}
		
		/// <summary> Creates a new canvas</summary>
		/// <param name="limid">The Limid to be drawn on the canvas.
		/// </param>
		/// <param name="frame">The frame owning the canvas
		/// </param>
		/// <param name="menu">The popup menu to be used with the canvas
		/// </param>
		//UPGRADE_TODO: Class 'javax.swing.JPopupMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		public LimidCanvas(LimidDomain limid, LimidFrame frame, JPopupMenu menu)
		{
			InitBlock();
			this.limid = limid;
			this.owner = frame;
			this.menu = menu;
			// Let the selection set be based on a HashSet
			selectedItems = new SelectionSet(new SupportClass.HashSetSupport());
			this.Click += new System.EventHandler(new AnonymousClassMouseAdapter(this).mouseClicked);
			this.MouseDown += new System.Windows.Forms.MouseEventHandler(new AnonymousClassMouseAdapter(this).mousePressed);
			this.MouseUp += new System.Windows.Forms.MouseEventHandler(new AnonymousClassMouseAdapter(this).mouseReleased);
			//UPGRADE_ISSUE: Event 'java.awt.event.MouseMotionListener.MouseDragged' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000"'
			this.MouseMove += new System.Windows.Forms.MouseEventHandler(new AnonymousClassMouseMotionListener(this).mouseMoved);
			this.Leave += new System.EventHandler(new AnonymousClassFocusAdapter(this).focusLost);
			selectedItems.addLimidSelectionListener(new AnonymousClassLimidSelectionListener(this));
		}
		
		public override void  paint(System.Drawing.Graphics g)
		{
			//UPGRADE_TODO: Method 'javax.swing.JComponent.paint' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			base.paint(g);
			limid.draw(g);
			if (!LimidDomain.showJunction)
				drawSelectedItems(g);
		}
		
		/// <summary> Updates the mode concerning node adding</summary>
		private void  updateAddNodeMode()
		{
			addNodeMode = (addChanceMode || addDecisionMode || addUtilityMode);
		}
		
		public override System.Drawing.Size getPreferredSize()
		{
			double max1, max2;
			max1 = 300;
			max2 = 200;
			if (LimidDomain.showJunction && limid.Compiled)
			{
				System.Collections.IEnumerator ite = limid.JunctionTree.Cliques.GetEnumerator();
				//UPGRADE_TODO: Method 'java.util.Iterator.hasNext' was converted to 'System.Collections.IEnumerator.MoveNext' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratorhasNext"'
				while (ite.MoveNext())
				{
					//UPGRADE_TODO: Method 'java.util.Iterator.next' was converted to 'System.Collections.IEnumerator.Current' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratornext"'
					LimidClique clique = (LimidClique) ite.Current;
					//UPGRADE_TODO: Method 'javax.swing.JComponent.getGraphics' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					System.Drawing.Size dim = clique.getSize(this.getGraphics());
					//UPGRADE_TODO: Method 'java.awt.geom.Point2D.getX' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					if (clique.Position.getX() + dim.Width > max1)
					{
						//UPGRADE_TODO: Method 'java.awt.geom.Point2D.getX' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						max1 = clique.Position.getX() + dim.Width;
					}
					//UPGRADE_TODO: Method 'java.awt.geom.Point2D.getY' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					if (clique.Position.getY() + dim.Height > max2)
					{
						//UPGRADE_TODO: Method 'java.awt.geom.Point2D.getY' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						max2 = clique.Position.getY() + dim.Height;
					}
				}
				//UPGRADE_WARNING: Narrowing conversions may produce unexpected results in C#. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1042"'
				System.Drawing.Size value_Renamed = new System.Drawing.Size((int) max1, (int) max2);
				return value_Renamed;
			}
			else
			{
				NodeList nodes = limid.Nodes;
				System.Collections.IEnumerator ite = nodes.GetEnumerator();
				//UPGRADE_TODO: Method 'java.util.Iterator.hasNext' was converted to 'System.Collections.IEnumerator.MoveNext' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratorhasNext"'
				while (ite.MoveNext())
				{
					//UPGRADE_TODO: Method 'java.util.Iterator.next' was converted to 'System.Collections.IEnumerator.Current' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratornext"'
					Node node = (Node) ite.Current;
					//UPGRADE_TODO: Method 'java.awt.geom.Point2D.getX' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					if (node.getPosition().getX() > max1)
					{
						//UPGRADE_TODO: Method 'java.awt.geom.Point2D.getX' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						max1 = node.getPosition().getX();
					}
					//UPGRADE_TODO: Method 'java.awt.geom.Point2D.getY' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					if (node.getPosition().getY() > max2)
					{
						//UPGRADE_TODO: Method 'java.awt.geom.Point2D.getY' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						max2 = node.getPosition().getY();
					}
				}
				//UPGRADE_TODO: Method 'java.awt.Dimension.getWidth' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				max1 = max1 + limid.getNodeSize().getWidth() + 10;
				//UPGRADE_TODO: Method 'java.awt.Dimension.getHeight' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				max2 = max2 + limid.getNodeSize().getHeight() + 10;
				//UPGRADE_WARNING: Narrowing conversions may produce unexpected results in C#. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1042"'
				System.Drawing.Size value_Renamed = new System.Drawing.Size((int) max1, (int) max2);
				return value_Renamed;
			}
		}
		
		/// <summary> Draws the selected items. Used by the GUI. Should not be called directly</summary>
		/// <param name="g">The graphics context
		/// </param>
		internal virtual void  drawSelectedItems(System.Drawing.Graphics g)
		{
			System.Collections.IEnumerator ite = selectedItems.GetEnumerator();
			int i = 0;
			//UPGRADE_TODO: Method 'java.util.Iterator.hasNext' was converted to 'System.Collections.IEnumerator.MoveNext' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratorhasNext"'
			while (ite.MoveNext())
			{
				//UPGRADE_TODO: Method 'java.util.Iterator.next' was converted to 'System.Collections.IEnumerator.Current' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratornext"'
				Drawable shape = (Drawable) ite.Current;
				shape.drawSelected(g);
			}
		}
		
		
		/// <summary> Clears the selection (i.e. un-select all items)</summary>
		internal virtual void  clearSelection()
		{
			selectedItems.Clear();
			Refresh();
		}
		
		internal virtual void  this_mouseClicked(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_ISSUE: Method 'java.awt.event.MouseEvent.getClickCount' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000"'
			if (e.getClickCount() > 1)
			{
				// this should provoke a selection
				Drawable selected;
				if (state == (int) System.Windows.Forms.MouseButtons.Left)
					selected = limid.getSelectedItem(mostRecentLeftClick);
				else
					selected = limid.getSelectedItem(mostRecentRightClick);
				this.clearSelection();
				SupportClass.ListCollectionSupport sel = new SupportClass.ListCollectionSupport();
				sel.Add(selected);
				SelectCommand command = new SelectCommand(sel, this);
				owner.CommandHistory.addCommand(command);
				// If we selected a node, edit it
				NodeList nodes = this.SelectedNodes;
				if (nodes.Count > 0)
				{
					Node node = (Node) nodes[0];
					if (state == (int) System.Windows.Forms.MouseButtons.Left)
					{
						// Button 1 edits node properties
						EditNodeCommand editCommand = new EditNodeCommand(this);
						owner.CommandHistory.addCommand(editCommand);
					}
					else
					{
						// Button 2 & 3 edits table
						//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Object.toString' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
						NodeTableEditor editor = new NodeTableEditor(owner, "Edit probability table for node " + node, true, node);
						//UPGRADE_ISSUE: Method 'java.awt.Window.pack' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtWindowpack"'
						editor.pack();
						//UPGRADE_TODO: Method 'java.awt.Component.setVisible' was converted to 'System.Windows.Forms.Control.Visible' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
						//UPGRADE_TODO: System.Windows.Forms.Application.Run must be called to start a main form. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1135"'
						editor.Visible = true;
					}
				}
			}
		}
		
		internal virtual void  this_mousePressed(System.Object event_sender, System.Windows.Forms.MouseEventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.setVisible' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menu.setVisible(false);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			((JMenuItem) menu.Controls[4]).setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			((JMenuItem) menu.Controls[5]).setEnabled(false);
			if (state == (int) System.Windows.Forms.MouseButtons.Right)
			{
				if (SelectedNodes.Count > 0)
				{
					//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					((JMenuItem) menu.Controls[4]).setEnabled(true);
					//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					((JMenuItem) menu.Controls[5]).setEnabled(true);
					//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					((JMenuItem) menu.Controls[6]).setEnabled(true);
				}
				if (selectedItems.Count == 1)
				{
					System.Collections.IEnumerator ite = selectedItems.GetEnumerator();
					//UPGRADE_TODO: Method 'java.util.Iterator.next' was converted to 'System.Collections.IEnumerator.Current' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratornext"'
					Drawable shape = (Drawable) ite.Current;
					if (shape is Edge)
					{
						//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						((JMenuItem) menu.Controls[8]).setEnabled(true);
					}
				}
				this.mostRecentRightClick = new System.Drawing.Point(e.X, e.Y);
				System.Windows.Forms.Control temp_Control;
				//UPGRADE_NOTE: Exceptions thrown by the equivalent in .NET of method 'java.awt.Component.getLocationOnScreen' may be different. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1099"'
				temp_Control = owner;
				System.Drawing.Point p = temp_Control.PointToScreen(temp_Control.Location);
				System.Drawing.Point loc = new System.Drawing.Point(e.X, e.Y);
				//UPGRADE_WARNING: Narrowing conversions may produce unexpected results in C#. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1042"'
				//UPGRADE_TODO: Method 'java.awt.Point.getX' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Method 'java.awt.Point.getY' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				loc.Offset((int) p.getX(), (int) p.getY());
				//UPGRADE_TODO: Method 'java.awt.Component.setLocation' was converted to 'System.Windows.Forms.Control.Location' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
				menu.Location = loc;
				//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.setVisible' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				menu.setVisible(true);
			}
			if (state == (int) System.Windows.Forms.MouseButtons.Left)
			{
				System.Drawing.Point point = new System.Drawing.Point(e.X, e.Y);
				mostRecentLeftClick = point;
				mostRecentDraggPoint = mostRecentLeftClick;
				if (selectedItems.Count == 0 && !addNodeMode && !addEdgeMode)
				{
					this.selectionArea = new SelectionArea(mostRecentLeftClick);
				}
				// Are we adding nodes?
				if (addNodeMode)
				{
					// We are adding nodes
					AddNodeCommand command = new AddNodeCommand(addChanceMode, addDecisionMode, addUtilityMode, point, this);
					owner.CommandHistory.addCommand(command);
				}
				else
				{
					// We are not adding nodes: Select if a shape has been clicked
					Drawable selected = limid.getSelectedItem(point);
					if (selected == null)
					{
						this.clearSelection();
						this.selectionArea = new SelectionArea(mostRecentLeftClick);
					}
					else
					{
						if (!selectedItems.Contains(selected))
						{
							SupportClass.ListCollectionSupport sel = new SupportClass.ListCollectionSupport();
							sel.Add(selected);
							SelectCommand command = new SelectCommand(sel, this);
							owner.CommandHistory.addCommand(command);
						}
						Refresh();
						// Are we adding edges?
						if (this.addEdgeMode && selected is Node)
						{
							// Yes, and the selected shape was a node
							if (edgeParent == null)
							{
								edgeParent = (Node) selected;
								//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
								JLabel status = owner.StatusBar;
								//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
								//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Object.toString' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
								status.setText("Select child node for parent " + edgeParent);
								status.Refresh();
							}
							else
							{
								Node child = (Node) selected;
								AddEdgeCommand command = new AddEdgeCommand(edgeParent, child, this);
								owner.CommandHistory.addCommand(command);
								//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
								JLabel status = owner.StatusBar;
								//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
								status.setText(" ");
								status.Refresh();
								edgeParent = null;
								//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
								status.setText("Select parent node");
								status.Refresh();
							}
						}
					}
				}
			}
		}
		
		public virtual void  this_mouseReleased(System.Object event_sender, System.Windows.Forms.MouseEventArgs e)
		{
			if (state == (int) System.Windows.Forms.MouseButtons.Left)
			{
				if (multiSelecting && !addNodeMode && !addEdgeMode)
				{
					SupportClass.HashSetSupport sel = new SupportClass.HashSetSupport();
					sel = (SupportClass.HashSetSupport) limid.addSelectedItems(selectionArea, sel);
					SelectCommand command = new SelectCommand(sel, this);
					owner.CommandHistory.addCommand(command);
					multiSelecting = false;
				}
				else
				{
					if (dragging)
					{
						MoveCommand command = new MoveCommand(this.mostRecentLeftClick, this.mostRecentDraggPoint, this);
						owner.CommandHistory.addCommand(command);
						dragging = false;
					}
				}
			}
		}
		
		public virtual void  min_mouseDragged(System.Object event_sender, System.Windows.Forms.MouseEventArgs e)
		{
			if (state == (int) System.Windows.Forms.MouseButtons.Left)
			{
				Drawable selected = null;
				NodeList nodes = this.SelectedNodes;
				// Remove the edges from the selection set. When nodes are re-located,
				// NEW edges are created
				selectedItems.RetainAll(nodes);
				//UPGRADE_WARNING: Narrowing conversions may produce unexpected results in C#. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1042"'
				//UPGRADE_TODO: Method 'java.awt.Point.getX' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				int xMove = (int) (new System.Drawing.Point(e.X, e.Y).getX() - this.mostRecentDraggPoint.getX());
				//UPGRADE_WARNING: Narrowing conversions may produce unexpected results in C#. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1042"'
				//UPGRADE_TODO: Method 'java.awt.Point.getY' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				int yMove = (int) (new System.Drawing.Point(e.X, e.Y).getY() - this.mostRecentDraggPoint.getY());
				this.mostRecentDraggPoint = new System.Drawing.Point(e.X, e.Y);
				// If nodes are selected, we dragg them
				if (nodes.Count > 0 && (!multiSelecting))
				{
					dragging = true;
					System.Collections.IEnumerator ite = nodes.GetEnumerator();
					//UPGRADE_TODO: Method 'java.util.Iterator.hasNext' was converted to 'System.Collections.IEnumerator.MoveNext' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratorhasNext"'
					while (ite.MoveNext())
					{
						//UPGRADE_TODO: Method 'java.util.Iterator.next' was converted to 'System.Collections.IEnumerator.Current' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilIteratornext"'
						Node node = (Node) ite.Current;
						//UPGRADE_TODO: Class 'java.awt.geom.Point2D' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						Point2D oldPos = node.getPosition();
						//UPGRADE_TODO: Class 'java.awt.geom.Point2D' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						//UPGRADE_WARNING: Narrowing conversions may produce unexpected results in C#. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1042"'
						//UPGRADE_TODO: Method 'java.awt.geom.Point2D.getX' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						//UPGRADE_TODO: Method 'java.awt.geom.Point2D.getY' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
						Point2D newPos = new System.Drawing.Point((int) (oldPos.getX() + xMove), (int) (oldPos.getY() + yMove));
						node.setPosition(newPos);
					}
					Refresh();
				}
				// If nothing is selected, we select an area
				if (!addNodeMode && !addEdgeMode && (selectedItems.Count == 0 || multiSelecting))
				{
					multiSelecting = true;
					System.Drawing.Point point = new System.Drawing.Point(e.X, e.Y);
					SelectionArea oldSelection = selectionArea;
					//UPGRADE_WARNING: Narrowing conversions may produce unexpected results in C#. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1042"'
					//UPGRADE_TODO: Method 'java.awt.Point.getX' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: Method 'java.awt.Point.getY' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					System.Drawing.Size dim = new System.Drawing.Size((int) (point.X - mostRecentLeftClick.getX()), (int) (point.Y - mostRecentLeftClick.getY()));
					this.selectionArea.Size = dim;
					if (selectedItems.Count == 0)
						selectedItems.Add(selectionArea);
					Refresh();
				}
			}
		}
		
		internal virtual void  canvas_focusLost(System.Object event_sender, System.EventArgs e)
		{
			this.clearSelection();
		}
		
		/// <summary> Add the specified list of nodes to the selection.</summary>
		/// <param name="nodes">The nodes being added to the selection.
		/// </param>
		public virtual void  selectNodes(NodeList nodes)
		{
			selectedItems.AddAll(nodes);
			Refresh();
		}
		
		public virtual void  mouseMoved(System.Windows.Forms.MouseEventArgs e)
		{
		}
		
		public virtual void  addMenu()
		{
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			this.Controls.Add(menu);
		}
		
		public virtual void  removeMenu()
		{
			this.Controls.Remove(menu);
		}
	}
}