using System;
using dk.esthauge.limid.api;
using ParseException = dk.esthauge.limid.parser.ParseException;
using TokenMgrError = dk.esthauge.limid.parser.TokenMgrError;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> The main frame of the GUI.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	//UPGRADE_TODO: Class 'javax.swing.JFrame' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
	public class LimidFrame:JFrame
	{
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener
		{
			public AnonymousClassActionListener(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.triangulateButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener1' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener1
		{
			public AnonymousClassActionListener1(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.editNodeMenu_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener2' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener2
		{
			public AnonymousClassActionListener2(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.editNodeTable_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener3' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener3
		{
			public AnonymousClassActionListener3(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.junctionTreeButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener4' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener4
		{
			public AnonymousClassActionListener4(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuNetMoralize_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener5' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener5
		{
			public AnonymousClassActionListener5(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuNetTriangulate_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener6' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener6
		{
			public AnonymousClassActionListener6(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuNetCompile_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener7' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener7
		{
			public AnonymousClassActionListener7(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuNetSPU_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener8' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener8
		{
			public AnonymousClassActionListener8(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuNetOrdering_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener9' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener9
		{
			public AnonymousClassActionListener9(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuViewJunction_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener10' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener10
		{
			public AnonymousClassActionListener10(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuFileExport_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener11' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener11
		{
			public AnonymousClassActionListener11(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuFileOpen_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener12' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener12
		{
			public AnonymousClassActionListener12(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuFileSave_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener13' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener13
		{
			public AnonymousClassActionListener13(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuFileSaveAs_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener14' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener14
		{
			public AnonymousClassActionListener14(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.saveButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener15' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener15
		{
			public AnonymousClassActionListener15(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuNetEdit_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener16' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener16
		{
			public AnonymousClassActionListener16(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.openButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener17' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener17
		{
			public AnonymousClassActionListener17(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuFileClose_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener18' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener18
		{
			public AnonymousClassActionListener18(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuNetRelocate_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener19' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener19
		{
			public AnonymousClassActionListener19(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.helpButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener20' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener20
		{
			public AnonymousClassActionListener20(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuHelpAbout_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassChangeListener' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassChangeListener : javax.swing.event_Renamed.ChangeListener
		{
			public AnonymousClassChangeListener(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.addChangeListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Class 'javax.swing.event.ChangeEvent' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  stateChanged(ChangeEvent e)
			{
				Enclosing_Instance.tabbedPane_stateChanged(e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassWindowAdapter' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassWindowAdapter
		{
			public AnonymousClassWindowAdapter(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			public void  windowClosing(System.Object event_sender, System.ComponentModel.CancelEventArgs e)
			{
				Enclosing_Instance.this_windowClosing(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassLimidSelectionListener' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassLimidSelectionListener : LimidSelectionListener
		{
			public AnonymousClassLimidSelectionListener(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			public virtual void  selectionCleared()
			{
				//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				Enclosing_Instance.menuEditPaste.setEnabled(false);
			}
			
			public virtual void  selectionCreated()
			{
				//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				Enclosing_Instance.menuEditPaste.setEnabled(true);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener21' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener21
		{
			public AnonymousClassActionListener21(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.addChanceMenu_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener22' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener22
		{
			public AnonymousClassActionListener22(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.addDecisionMenu_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener23' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener23
		{
			public AnonymousClassActionListener23(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.addUtilityMenu_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener24' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener24
		{
			public AnonymousClassActionListener24(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.deleteNodeMenu_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener25' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener25
		{
			public AnonymousClassActionListener25(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuFileNew_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener26' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener26
		{
			public AnonymousClassActionListener26(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuEditSelectAll_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener27' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener27
		{
			public AnonymousClassActionListener27(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.deleteEdgeMenu_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener28' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener28
		{
			public AnonymousClassActionListener28(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.chanceNodeButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener29' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener29
		{
			public AnonymousClassActionListener29(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.decisionNodeButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener30' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener30
		{
			public AnonymousClassActionListener30(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.utilityNodeButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener31' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener31
		{
			public AnonymousClassActionListener31(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.addEdgeButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener32' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener32
		{
			public AnonymousClassActionListener32(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.newButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener33' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener33
		{
			public AnonymousClassActionListener33(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.selectButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener34' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener34
		{
			public AnonymousClassActionListener34(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuEditCut_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener35' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener35
		{
			public AnonymousClassActionListener35(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuEditCopy_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener36' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener36
		{
			public AnonymousClassActionListener36(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuEditPaste_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener37' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener37
		{
			public AnonymousClassActionListener37(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuEditDelete_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener38' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener38
		{
			public AnonymousClassActionListener38(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuEditUndo_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener39' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener39
		{
			public AnonymousClassActionListener39(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuEditRedo_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener40' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener40
		{
			public AnonymousClassActionListener40(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.moralizeButton_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener41' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener41
		{
			public AnonymousClassActionListener41(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuViewNetwork_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener42' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener42
		{
			public AnonymousClassActionListener42(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuViewMoral_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassActionListener43' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassActionListener43
		{
			public AnonymousClassActionListener43(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
			{
				Enclosing_Instance.menuViewTriangulated_actionPerformed(event_sender, e);
			}
		}
		//UPGRADE_NOTE: Field 'EnclosingInstance' was added to class 'AnonymousClassJFileChooser' to access its enclosing instance. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1019"'
		private class AnonymousClassJFileChooser:JFileChooser
		{
			public AnonymousClassJFileChooser(LimidFrame enclosingInstance)
			{
				InitBlock(enclosingInstance);
			}
			private void  InitBlock(LimidFrame enclosingInstance)
			{
				this.enclosingInstance = enclosingInstance;
			}
			private LimidFrame enclosingInstance;
			public LimidFrame Enclosing_Instance
			{
				get
				{
					return enclosingInstance;
				}
				
			}
			//UPGRADE_TODO: Class 'javax.swing.JFileChooser' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			public override void  approveSelection()
			{
				//UPGRADE_TODO: Method 'javax.swing.JFileChooser.getSelectedFile' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				System.IO.FileInfo file = getSelectedFile();
				bool tmpBool;
				if (System.IO.File.Exists(file.FullName))
					tmpBool = true;
				else
					tmpBool = System.IO.Directory.Exists(file.FullName);
				if (file != null && tmpBool)
				{
					//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showConfirmDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: Field 'javax.swing.JOptionPane.YES_NO_OPTION' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					int answer = JOptionPane.showConfirmDialog(this, "File " + file.Name + " already exists. Do you want to overwrite existing file?", "File exists", JOptionPane.YES_NO_OPTION);
					//UPGRADE_TODO: Field 'javax.swing.JOptionPane.NO_OPTION' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					if (answer == JOptionPane.NO_OPTION)
					{
						// User doesn't want to overwrite the file
						return ;
					}
				}
				//UPGRADE_TODO: Method 'javax.swing.JFileChooser.approveSelection' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Class 'javax.swing.JFileChooser' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				base.approveSelection();
			}
		}
		private void  InitBlock()
		{
			//UPGRADE_TODO: Constructor 'javax.swing.JToolBar.JToolBar' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			toolBar = new JToolBar();
			//UPGRADE_TODO: Constructor 'javax.swing.JTabbedPane.JTabbedPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tabbedPane = new JTabbedPane();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuBar.JMenuBar' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuBar1 = new JMenuBar();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenu.JMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile = new JMenu();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileExit = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenu.JMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuHelp = new JMenu();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuHelpAbout = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			openButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			saveButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			helpButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JLabel.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			statusBar = new JLabel();
			//UPGRADE_ISSUE: Constructor 'java.awt.BorderLayout.BorderLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtBorderLayout"'
			borderLayout1 = new BorderLayout();
			//UPGRADE_TODO: Constructor 'javax.swing.JPopupMenu.JPopupMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu = new JPopupMenu();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addUtilityMenu = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addDecisionMenu = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addChanceMenu = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.DefaultSingleSelectionModel.DefaultSingleSelectionModel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			dssm = new DefaultSingleSelectionModel();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			deleteNodeMenu = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileNew = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenu.JMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet = new JMenu();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenu.JMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit = new JMenu();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditSelectAll = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			deleteEdgeMenu = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JToggleButton.JToggleButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceNodeButton = new JToggleButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JToggleButton.JToggleButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionNodeButton = new JToggleButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JToggleButton.JToggleButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityNodeButton = new JToggleButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			newButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JToggleButton.JToggleButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addEdgeButton = new JToggleButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JToggleButton.JToggleButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			selectButton = new JToggleButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditCut = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditCopy = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditPaste = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditDelete = new JMenuItem();
			selection = new SelectionSet(new SupportClass.HashSetSupport());
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditRedo = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditUndo = new JMenuItem();
			history = new CommandHistory(menuEditUndo, menuEditRedo);
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moralizeButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			triangulateButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			junctionTreeButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenu.JMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuView = new JMenu();
			//UPGRADE_TODO: Constructor 'javax.swing.JRadioButtonMenuItem.JRadioButtonMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewNetwork = new JRadioButtonMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JRadioButtonMenuItem.JRadioButtonMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewMoral = new JRadioButtonMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JRadioButtonMenuItem.JRadioButtonMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewTriangulated = new JRadioButtonMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.ButtonGroup.ButtonGroup' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			viewSelection = new ButtonGroup();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			editNodeTable = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			editNodeMenu = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetCompile = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetTriangulate = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetMoralize = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetSPU = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetOrdering = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JRadioButtonMenuItem.JRadioButtonMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewJunction = new JRadioButtonMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileSaveAs = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileOpen = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileSave = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileExport = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetEdit = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileClose = new JMenuItem();
			//UPGRADE_TODO: Constructor 'javax.swing.JMenuItem.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetRelocate = new JMenuItem();
		}
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		virtual public JLabel StatusBar
		{
			get
			{
				return statusBar;
			}
			
		}
		virtual public int TabPlacement
		{
			set
			{
				//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.setTabPlacement' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Field 'javax.swing.SwingConstants.TOP' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				tabbedPane.setTabPlacement(javax.swing.SwingConstants_Fields.TOP);
			}
			
		}
		virtual public CommandHistory CommandHistory
		{
			get
			{
				return history;
			}
			
		}
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal JPanel contentPane;
		//UPGRADE_TODO: Class 'javax.swing.JToolBar' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'toolBar' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JToolBar toolBar;
		//UPGRADE_TODO: Class 'javax.swing.JTabbedPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'tabbedPane' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JTabbedPane tabbedPane;
		//UPGRADE_TODO: Class 'javax.swing.JMenuBar' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuBar1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuBar menuBar1;
		//UPGRADE_TODO: Class 'javax.swing.JMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuFile' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenu menuFile;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuFileExit' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuFileExit;
		//UPGRADE_TODO: Class 'javax.swing.JMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuHelp' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenu menuHelp;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuHelpAbout' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuHelpAbout;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'openButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton openButton;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'saveButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton saveButton;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'helpButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton helpButton;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon image1;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon image2;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon image3;
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'statusBar' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JLabel statusBar;
		//UPGRADE_ISSUE: Class 'java.awt.BorderLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtBorderLayout"'
		//UPGRADE_NOTE: The initialization of  'borderLayout1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal BorderLayout borderLayout1;
		internal int counter = 0;
		//UPGRADE_TODO: Class 'javax.swing.JPopupMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'popupMenu' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPopupMenu popupMenu;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'addUtilityMenu' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem addUtilityMenu;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'addDecisionMenu' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem addDecisionMenu;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'addChanceMenu' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem addChanceMenu;
		//UPGRADE_TODO: Class 'javax.swing.DefaultSingleSelectionModel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'dssm' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal DefaultSingleSelectionModel dssm;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'deleteNodeMenu' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem deleteNodeMenu;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuFileNew' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuFileNew;
		internal LimidCanvas activeCanvas;
		internal LimidDomain activeLimid;
		//UPGRADE_TODO: Class 'javax.swing.JMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuNet' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenu menuNet;
		//UPGRADE_TODO: Class 'javax.swing.JMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuEdit' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenu menuEdit;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuEditSelectAll' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuEditSelectAll;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'deleteEdgeMenu' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem deleteEdgeMenu;
		//UPGRADE_TODO: Class 'javax.swing.JToggleButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'chanceNodeButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JToggleButton chanceNodeButton;
		//UPGRADE_TODO: Class 'javax.swing.JToggleButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'decisionNodeButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JToggleButton decisionNodeButton;
		//UPGRADE_TODO: Class 'javax.swing.JToggleButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'utilityNodeButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JToggleButton utilityNodeButton;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon newIcon;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon chanceIcon;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon decisionIcon;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon utilityIcon;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon selectIcon;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon directedEdgeIcon;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon moralIcon;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon triangulateIcon;
		//UPGRADE_TODO: Class 'javax.swing.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal ImageIcon junctionTreeIcon;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'newButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton newButton;
		//UPGRADE_TODO: Class 'javax.swing.JToggleButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'addEdgeButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JToggleButton addEdgeButton;
		//UPGRADE_TODO: Class 'javax.swing.JToggleButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'selectButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JToggleButton selectButton;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuEditCut' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuEditCut;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuEditCopy' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuEditCopy;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuEditPaste' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuEditPaste;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuEditDelete' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuEditDelete;
		//UPGRADE_NOTE: The initialization of  'selection' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal SelectionSet selection;
		//UPGRADE_NOTE: The initialization of  'nodeContainer' was moved to static method 'dk.esthauge.limid.gui.LimidFrame'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal static LimidDomain nodeContainer;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuEditRedo' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuEditRedo;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuEditUndo' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuEditUndo;
		//UPGRADE_NOTE: The initialization of  'history' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal CommandHistory history;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'moralizeButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton moralizeButton;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'triangulateButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton triangulateButton;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'junctionTreeButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton junctionTreeButton;
		//UPGRADE_TODO: Class 'javax.swing.JMenu' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuView' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenu menuView;
		//UPGRADE_TODO: Class 'javax.swing.JRadioButtonMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuViewNetwork' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JRadioButtonMenuItem menuViewNetwork;
		//UPGRADE_TODO: Class 'javax.swing.JRadioButtonMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuViewMoral' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JRadioButtonMenuItem menuViewMoral;
		//UPGRADE_TODO: Class 'javax.swing.JRadioButtonMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuViewTriangulated' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JRadioButtonMenuItem menuViewTriangulated;
		//UPGRADE_TODO: Class 'javax.swing.ButtonGroup' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'viewSelection' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal ButtonGroup viewSelection;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'editNodeTable' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem editNodeTable;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'editNodeMenu' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem editNodeMenu;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuNetCompile' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuNetCompile;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuNetTriangulate' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuNetTriangulate;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuNetMoralize' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuNetMoralize;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuNetSPU' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuNetSPU;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuNetOrdering' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuNetOrdering;
		//UPGRADE_TODO: Class 'javax.swing.JRadioButtonMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuViewJunction' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JRadioButtonMenuItem menuViewJunction;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuFileSaveAs' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuFileSaveAs;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuFileOpen' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuFileOpen;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuFileSave' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuFileSave;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuFileExport' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuFileExport;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuNetEdit' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuNetEdit;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuFileClose' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuFileClose;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'menuNetRelocate' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JMenuItem menuNetRelocate;
		
		public LimidFrame()
		{
			InitBlock();
			try
			{
				jbInit();
			}
			catch (System.Exception e)
			{
				SupportClass.WriteStackTrace(e, Console.Error);
			}
		}
		
		private void  jbInit()
		{
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewMoral.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewTriangulated.setEnabled(false);
			triangulateButton.addActionListener(new AnonymousClassActionListener(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			editNodeMenu.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			editNodeMenu.setText("Edit node");
			editNodeMenu.addActionListener(new AnonymousClassActionListener1(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			editNodeTable.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			editNodeTable.setText("Edit node table");
			editNodeTable.addActionListener(new AnonymousClassActionListener2(this));
			junctionTreeButton.addActionListener(new AnonymousClassActionListener3(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetMoralize.setText("Moralize");
			menuNetMoralize.addActionListener(new AnonymousClassActionListener4(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetTriangulate.setText("Triangulate");
			menuNetTriangulate.addActionListener(new AnonymousClassActionListener5(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetCompile.setText("Compile");
			menuNetCompile.addActionListener(new AnonymousClassActionListener6(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetSPU.setText("Single Policy Updating");
			menuNetSPU.addActionListener(new AnonymousClassActionListener7(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetOrdering.setText("Define decision node ordering");
			menuNetOrdering.addActionListener(new AnonymousClassActionListener8(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewJunction.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewJunction.setText("Junction tree");
			menuViewJunction.addActionListener(new AnonymousClassActionListener9(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileExport.setText("Export ...");
			menuFileExport.addActionListener(new AnonymousClassActionListener10(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileOpen.setText("Open ...");
			menuFileOpen.addActionListener(new AnonymousClassActionListener11(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileSave.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileSave.setText("Save ...");
			menuFileSave.addActionListener(new AnonymousClassActionListener12(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileSaveAs.setText("Save as ...");
			menuFileSaveAs.addActionListener(new AnonymousClassActionListener13(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			saveButton.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			saveButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			saveButton.setMinimumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			saveButton.setPreferredSize(new System.Drawing.Size(23, 23));
			saveButton.addActionListener(new AnonymousClassActionListener14(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetEdit.setText("Edit network properties");
			menuNetEdit.addActionListener(new AnonymousClassActionListener15(this));
			openButton.addActionListener(new AnonymousClassActionListener16(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileClose.setText("Close ...");
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileClose.setEnabled(false);
			menuFileClose.addActionListener(new AnonymousClassActionListener17(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNetRelocate.setText("Relocate nodes to fit window");
			menuNetRelocate.addActionListener(new AnonymousClassActionListener18(this));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			newButton.setPreferredSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			openButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			openButton.setMinimumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			openButton.setPreferredSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			selectButton.setPreferredSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceNodeButton.setPreferredSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionNodeButton.setPreferredSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityNodeButton.setPreferredSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addEdgeButton.setPreferredSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moralizeButton.setPreferredSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setMargin' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moralizeButton.setMargin(new System.Drawing.Rectangle(2, 0, 0, 2));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			junctionTreeButton.setPreferredSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			helpButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			helpButton.setMinimumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			helpButton.setPreferredSize(new System.Drawing.Size(23, 23));
			helpButton.addActionListener(new AnonymousClassActionListener19(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setMargin' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			triangulateButton.setMargin(new System.Drawing.Rectangle(2, 0, 0, 2));
			menuHelpAbout.addActionListener(new AnonymousClassActionListener20(this));
			//UPGRADE_TODO: Method 'javax.swing.ButtonGroup.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			viewSelection.add(menuViewNetwork);
			//UPGRADE_TODO: Method 'javax.swing.ButtonGroup.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			viewSelection.add(menuViewMoral);
			//UPGRADE_TODO: Method 'javax.swing.ButtonGroup.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			viewSelection.add(menuViewTriangulated);
			//UPGRADE_TODO: Method 'javax.swing.ButtonGroup.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			viewSelection.add(menuViewJunction);
			//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JFrame.getContentPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			contentPane = (JPanel) this.getContentPane();
			//UPGRADE_ISSUE: Method 'java.awt.Container.setLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtContainersetLayout_javaawtLayoutManager"'
			contentPane.setLayout(borderLayout1);
			System.Uri url;
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("openFile.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			image1 = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("closeFile.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			image2 = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("help.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			image3 = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("new.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			newIcon = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("chanceNode.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceIcon = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("decisionNode.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionIcon = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("utilityNode.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityIcon = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("select.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			selectIcon = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("directedEdge.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			directedEdgeIcon = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("moral.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moralIcon = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("triangulate.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			triangulateIcon = new ImageIcon(url);
			//UPGRADE_ISSUE: Method 'java.lang.ClassLoader.getSystemResource' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javalangClassLoader"'
			url = ClassLoader.getSystemResource("junctionTree.gif");
			//UPGRADE_TODO: Constructor 'javax.swing.ImageIcon.ImageIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			junctionTreeIcon = new ImageIcon(url);
			//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.setTabPlacement' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.SwingConstants.BOTTOM' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tabbedPane.setTabPlacement(javax.swing.SwingConstants_Fields.BOTTOM);
			//UPGRADE_TODO: Interface 'javax.swing.event.ChangeListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tabbedPane.addChangeListener(new AnonymousClassChangeListener(this));
			
			this.Text = "Limid Editor";
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			statusBar.setText(" ");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile.setText("File");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileExit.setText("Exit");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuHelp.setText("Help");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuHelpAbout.setText("About");
			this.Closing += new System.ComponentModel.CancelEventHandler(new AnonymousClassWindowAdapter(this).windowClosing);
			
			this.selection.addLimidSelectionListener(new AnonymousClassLimidSelectionListener(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addChanceMenu.setText("Add chance node");
			addChanceMenu.addActionListener(new AnonymousClassActionListener21(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addDecisionMenu.setText("Add decision node");
			addDecisionMenu.addActionListener(new AnonymousClassActionListener22(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addUtilityMenu.setText("Add utility node");
			addUtilityMenu.addActionListener(new AnonymousClassActionListener23(this));
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.setSelectionModel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu.setSelectionModel(dssm);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			deleteNodeMenu.setText("Delete node");
			deleteNodeMenu.addActionListener(new AnonymousClassActionListener24(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			deleteNodeMenu.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileNew.setText("New");
			menuFileNew.addActionListener(new AnonymousClassActionListener25(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet.setText("Net");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit.setText("Edit");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditSelectAll.setText("Select all");
			menuEditSelectAll.addActionListener(new AnonymousClassActionListener26(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			deleteEdgeMenu.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			deleteEdgeMenu.setText("Delete edge");
			deleteEdgeMenu.addActionListener(new AnonymousClassActionListener27(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceNodeButton.setIcon(chanceIcon);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceNodeButton.setToolTipText("Add new chance node");
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceNodeButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chanceNodeButton.setMinimumSize(new System.Drawing.Size(23, 23));
			chanceNodeButton.addActionListener(new AnonymousClassActionListener28(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionNodeButton.setIcon(decisionIcon);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionNodeButton.setToolTipText("Add new decision node");
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionNodeButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionNodeButton.setMinimumSize(new System.Drawing.Size(23, 23));
			decisionNodeButton.addActionListener(new AnonymousClassActionListener29(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityNodeButton.setIcon(utilityIcon);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityNodeButton.setToolTipText("Add new utility node");
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityNodeButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			utilityNodeButton.setMinimumSize(new System.Drawing.Size(23, 23));
			utilityNodeButton.addActionListener(new AnonymousClassActionListener30(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addEdgeButton.setIcon(directedEdgeIcon);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addEdgeButton.setToolTipText("Add new directed edge");
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addEdgeButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			addEdgeButton.setMinimumSize(new System.Drawing.Size(23, 23));
			addEdgeButton.addActionListener(new AnonymousClassActionListener31(this));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			newButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			newButton.setMinimumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			newButton.setToolTipText("Create new net");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			newButton.setIcon(newIcon);
			newButton.addActionListener(new AnonymousClassActionListener32(this));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			selectButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			selectButton.setMinimumSize(new System.Drawing.Size(23, 23));
			selectButton.addActionListener(new AnonymousClassActionListener33(this));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			selectButton.setToolTipText("Select node or edge");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			selectButton.setIcon(selectIcon);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditCut.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditCut.setText("Cut");
			menuEditCut.addActionListener(new AnonymousClassActionListener34(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditCopy.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditCopy.setText("Copy");
			menuEditCopy.addActionListener(new AnonymousClassActionListener35(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditPaste.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditPaste.setText("Paste");
			menuEditPaste.addActionListener(new AnonymousClassActionListener36(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditDelete.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditDelete.setText("Delete");
			menuEditDelete.addActionListener(new AnonymousClassActionListener37(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditUndo.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditUndo.setText("Undo");
			menuEditUndo.addActionListener(new AnonymousClassActionListener38(this));
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditRedo.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEditRedo.setText("Redo");
			menuEditRedo.addActionListener(new AnonymousClassActionListener39(this));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moralizeButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moralizeButton.setMinimumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moralizeButton.setToolTipText("Create moral graph");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setHorizontalAlignment' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.SwingConstants.RIGHT' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moralizeButton.setHorizontalAlignment(javax.swing.SwingConstants_Fields.RIGHT);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moralizeButton.setIcon(moralIcon);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setVerticalAlignment' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.SwingConstants.BOTTOM' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moralizeButton.setVerticalAlignment(javax.swing.SwingConstants_Fields.BOTTOM);
			moralizeButton.addActionListener(new AnonymousClassActionListener40(this));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			triangulateButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			triangulateButton.setMinimumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			triangulateButton.setPreferredSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			triangulateButton.setToolTipText("Triangulate graph");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			triangulateButton.setIcon(triangulateIcon);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			junctionTreeButton.setMaximumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			junctionTreeButton.setMinimumSize(new System.Drawing.Size(23, 23));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			junctionTreeButton.setToolTipText("Compile model");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			junctionTreeButton.setIcon(junctionTreeIcon);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuView.setText("View");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewNetwork.setSelected(true);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setArmed' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewNetwork.setArmed(true);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewNetwork.setText("Network");
			menuViewNetwork.addActionListener(new AnonymousClassActionListener41(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewMoral.setText("Moral graph");
			menuViewMoral.addActionListener(new AnonymousClassActionListener42(this));
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuViewTriangulated.setText("Triangulated graph");
			menuViewTriangulated.addActionListener(new AnonymousClassActionListener43(this));
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			contentPane.Controls.Add(tabbedPane);
			//UPGRADE_TODO: Method 'java.awt.Component.setSize' was converted to 'System.Windows.Forms.Control.Size' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			this.Size = new System.Drawing.Size(500, 400);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			openButton.setIcon(image1);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			openButton.setToolTipText("Open File");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			saveButton.setIcon(image2);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			saveButton.setToolTipText("Close File");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setIcon' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			helpButton.setIcon(image3);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setToolTipText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			helpButton.setToolTipText("Help");
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(newButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(openButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(saveButton);
			//UPGRADE_TODO: Method 'javax.swing.JToolBar.addSeparator' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			toolBar.addSeparator();
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(selectButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(chanceNodeButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(decisionNodeButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(utilityNodeButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(addEdgeButton);
			//UPGRADE_TODO: Method 'javax.swing.JToolBar.addSeparator' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			toolBar.addSeparator();
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(moralizeButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(triangulateButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(junctionTreeButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			toolBar.Controls.Add(helpButton);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile.add(menuFileNew);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile.add(menuFileOpen);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile.add(menuFileSave);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile.add(menuFileSaveAs);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile.add(menuFileClose);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.addSeparator' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile.addSeparator();
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile.add(menuFileExport);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.addSeparator' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile.addSeparator();
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFile.add(menuFileExit);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuHelp.add(menuHelpAbout);
			//UPGRADE_TODO: Method 'javax.swing.JMenuBar.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuBar1.add(menuFile);
			//UPGRADE_TODO: Method 'javax.swing.JMenuBar.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuBar1.add(menuEdit);
			//UPGRADE_TODO: Method 'javax.swing.JMenuBar.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuBar1.add(menuView);
			//UPGRADE_TODO: Method 'javax.swing.JMenuBar.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuBar1.add(menuNet);
			//UPGRADE_TODO: Method 'javax.swing.JMenuBar.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuBar1.add(menuHelp);
			//UPGRADE_TODO: Method 'javax.swing.JFrame.setJMenuBar' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.setJMenuBar(menuBar1);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			contentPane.Controls.Add(toolBar);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			contentPane.Controls.Add(statusBar);
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu.add(addChanceMenu);
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu.add(addDecisionMenu);
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu.add(addUtilityMenu);
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.addSeparator' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu.addSeparator();
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu.add(editNodeMenu);
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu.add(editNodeTable);
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu.add(deleteNodeMenu);
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.addSeparator' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu.addSeparator();
			//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			popupMenu.add(deleteEdgeMenu);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit.add(menuEditUndo);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit.add(menuEditRedo);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.addSeparator' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit.addSeparator();
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit.add(menuEditCut);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit.add(menuEditCopy);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit.add(menuEditPaste);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit.add(menuEditDelete);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.addSeparator' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit.addSeparator();
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuEdit.add(menuEditSelectAll);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuView.add(menuViewNetwork);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuView.add(menuViewMoral);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuView.add(menuViewTriangulated);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuView.add(menuViewJunction);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet.add(menuNetMoralize);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet.add(menuNetTriangulate);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet.add(menuNetCompile);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.addSeparator' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet.addSeparator();
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet.add(menuNetOrdering);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet.add(menuNetSPU);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.addSeparator' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet.addSeparator();
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet.add(menuNetRelocate);
			//UPGRADE_TODO: Method 'javax.swing.JMenu.add' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuNet.add(menuNetEdit);
			addLimid(new LimidDomain("New Model"), null);
		}
		
		public virtual void  addLimid(LimidDomain limid)
		{
			addLimid(limid, null);
		}
		
		public virtual void  addLimid(LimidDomain limid, System.IO.FileInfo file)
		{
			LimidCanvas panel = new LimidCanvas(limid, this, popupMenu);
			panel.SaveFile = file;
			//UPGRADE_TODO: Class 'javax.swing.JScrollPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Constructor 'javax.swing.JScrollPane.JScrollPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			JScrollPane limidScroll = new JScrollPane(panel);
			System.String tabTitle = limid.Name;
			try
			{
				if (panel.SaveFile != null)
					tabTitle = System.String.Concat(tabTitle, " [" + panel.SaveFile.FullName + "]");
			}
			catch (System.IO.IOException ex)
			{
				// Just leave it. We don't need the file name anyway if there are problems
			}
			//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.addTab' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tabbedPane.addTab(tabTitle, limidScroll);
			counter++;
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setBackground' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			panel.setBackground(System.Drawing.Color.White);
			panel.Refresh();
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			menuFileClose.setEnabled(true);
			// If the currently selected Limid is empty, we let the new Limid replace it
			//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.getSelectedIndex' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (activeLimid != null && activeLimid.Nodes.Count == 0 && tabbedPane.getSelectedIndex() > - 1)
			{
				//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.removeTabAt' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.getSelectedIndex' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				tabbedPane.removeTabAt(tabbedPane.getSelectedIndex());
				//UPGRADE_TODO: Constructor 'javax.swing.event.ChangeEvent.ChangeEvent' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				this.tabbedPane_stateChanged(new ChangeEvent(this));
			}
		}
		
		internal virtual void  this_windowClosing(System.Object event_sender, System.ComponentModel.CancelEventArgs e)
		{
			this.Dispose();
			System.Environment.Exit(0);
		}
		
		internal virtual void  addChanceMenu_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			AddNodeCommand command = new AddNodeCommand(true, false, false, (System.Drawing.Point) activeCanvas.MostRecentRightClick, activeCanvas);
			history.addCommand(command);
		}
		
		internal virtual void  addDecisionMenu_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			AddNodeCommand command = new AddNodeCommand(false, true, false, (System.Drawing.Point) activeCanvas.MostRecentRightClick, activeCanvas);
			history.addCommand(command);
		}
		
		internal virtual void  addUtilityMenu_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			AddNodeCommand command = new AddNodeCommand(false, false, true, (System.Drawing.Point) activeCanvas.MostRecentRightClick, activeCanvas);
			history.addCommand(command);
		}
		
		internal virtual void  deleteNodeMenu_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			menuEditDelete_actionPerformed(e);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			deleteNodeMenu.setEnabled(false);
		}
		
		internal virtual void  menuFileNew_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			LimidDomain limid = new LimidDomain("New model");
			this.addLimid(limid);
		}
		
		//UPGRADE_TODO: Class 'javax.swing.event.ChangeEvent' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal virtual void  tabbedPane_stateChanged(ChangeEvent e)
		{
			//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.getSelectedIndex' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (tabbedPane.getSelectedIndex() >= 0)
			{
				//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Class 'javax.swing.JScrollPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.getSelectedComponent' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				activeCanvas = (LimidCanvas) ((JScrollPane) tabbedPane.getSelectedComponent()).getViewport().Controls[0];
				//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.setInvoker' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				popupMenu.setInvoker(activeCanvas);
				//UPGRADE_TODO: Method 'javax.swing.JPopupMenu.setVisible' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				popupMenu.setVisible(false);
				activeLimid = activeCanvas.Limid;
				setSelect();
				LimidDomain.showMoral = false;
				LimidDomain.showJunction = false;
				//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				menuViewMoral.setEnabled(activeLimid.Moral);
				//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				menuViewTriangulated.setEnabled(activeLimid.Triangulated);
				//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				menuViewJunction.setEnabled(activeLimid.Compiled);
				if (activeCanvas.SaveFile != null)
				{
					//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					menuFileSave.setEnabled(true);
					//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					saveButton.setEnabled(true);
				}
				else
				{
					//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					menuFileSave.setEnabled(false);
					//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					saveButton.setEnabled(false);
				}
				activeCanvas.Refresh();
			}
			else
			{
				LimidDomain limid = new LimidDomain("New model");
				this.addLimid(limid);
				//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.setSelectedIndex' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				tabbedPane.setSelectedIndex(0);
			}
		}
		
		internal virtual void  menuEditSelectAll_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			SelectCommand command = new SelectCommand(activeCanvas.AllItems, activeCanvas);
			history.addCommand(command);
		}
		
		internal virtual void  addEdgeButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			statusBar.setText("Select parent node");
			statusBar.Refresh();
			this.setAddEdge();
		}
		
		internal virtual void  deleteEdgeMenu_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			DeleteEdgeCommand command = new DeleteEdgeCommand(activeCanvas);
			history.addCommand(command);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			deleteEdgeMenu.setEnabled(false);
		}
		
		internal virtual void  newButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			menuFileNew_actionPerformed(e);
		}
		
		internal virtual void  setSelect()
		{
			activeCanvas.AddChanceMode = false;
			activeCanvas.AddDecisionMode = false;
			activeCanvas.AddUtilityMode = false;
			activeCanvas.AdEdgeMode = false;
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.selectButton.setSelected(true);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.chanceNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.decisionNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.utilityNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.addEdgeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			statusBar.setText("Left-click to select node or edge");
			statusBar.Refresh();
		}
		
		internal virtual void  setAddChance()
		{
			activeCanvas.AddChanceMode = true;
			activeCanvas.AddDecisionMode = false;
			activeCanvas.AddUtilityMode = false;
			activeCanvas.AdEdgeMode = false;
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.selectButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.chanceNodeButton.setSelected(true);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.decisionNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.utilityNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.addEdgeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			statusBar.setText("Left-click where you want to add a new chance node");
			statusBar.Refresh();
		}
		
		internal virtual void  setAddDecision()
		{
			activeCanvas.AddChanceMode = false;
			activeCanvas.AddDecisionMode = true;
			activeCanvas.AddUtilityMode = false;
			activeCanvas.AdEdgeMode = false;
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.selectButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.chanceNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.decisionNodeButton.setSelected(true);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.utilityNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.addEdgeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			statusBar.setText("Left-click where you want to add a new decision node");
			statusBar.Refresh();
		}
		
		internal virtual void  setAddUtility()
		{
			activeCanvas.AddChanceMode = false;
			activeCanvas.AddDecisionMode = false;
			activeCanvas.AddUtilityMode = true;
			activeCanvas.AdEdgeMode = false;
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.selectButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.chanceNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.decisionNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.utilityNodeButton.setSelected(true);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.addEdgeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			statusBar.setText("Left-click where you want to add a new utility node");
			statusBar.Refresh();
		}
		
		internal virtual void  setAddEdge()
		{
			activeCanvas.AddChanceMode = false;
			activeCanvas.AddDecisionMode = false;
			activeCanvas.AddUtilityMode = false;
			activeCanvas.AdEdgeMode = true;
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.selectButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.chanceNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.decisionNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.utilityNodeButton.setSelected(false);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.addEdgeButton.setSelected(true);
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			statusBar.setText(" ");
			statusBar.Refresh();
		}
		
		internal virtual void  chanceNodeButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.isSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (this.chanceNodeButton.isSelected())
				setAddChance();
			else
				setSelect();
		}
		
		internal virtual void  selectButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.isSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (this.selectButton.isSelected())
				setSelect();
		}
		
		internal virtual void  decisionNodeButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.isSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (this.decisionNodeButton.isSelected())
				setAddDecision();
			else
				setSelect();
		}
		
		internal virtual void  utilityNodeButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.isSelected' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (this.utilityNodeButton.isSelected())
				setAddUtility();
			else
				setSelect();
		}
		
		internal virtual void  menuEditDelete_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			DeleteCommand command = new DeleteCommand(activeCanvas);
			history.addCommand(command);
		}
		
		internal virtual void  setSelectionCleared()
		{
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.menuEditCopy.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.menuEditCut.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.menuEditDelete.setEnabled(false);
		}
		
		internal virtual void  setSelectionCreated()
		{
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.menuEditCopy.setEnabled(true);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.menuEditCut.setEnabled(true);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.menuEditDelete.setEnabled(true);
		}
		
		internal virtual void  menuEditCopy_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			CopyCommand command = new CopyCommand(selection, activeCanvas);
			history.addCommand(command);
		}
		
		internal virtual void  menuEditPaste_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			PasteCommand command = new PasteCommand(selection, activeCanvas);
			history.addCommand(command);
		}
		
		internal virtual void  menuEditCut_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			// First copy
			menuEditCopy_actionPerformed(e);
			// Then delete
			menuEditDelete_actionPerformed(e);
		}
		
		internal virtual void  menuEditUndo_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			history.unDo();
		}
		
		internal virtual void  menuEditRedo_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			history.reDo();
		}
		
		internal virtual void  moralizeButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			MoralizeCommand command = new MoralizeCommand(activeLimid, menuViewMoral, menuViewTriangulated, menuViewJunction);
			history.addCommand(command);
		}
		
		internal virtual void  menuViewNetwork_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			LimidDomain.showJunction = false;
			LimidDomain.showMoral = false;
			activeCanvas.Refresh();
		}
		
		internal virtual void  menuViewMoral_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			LimidDomain.showMoral = true;
			LimidDomain.showJunction = false;
			activeCanvas.Refresh();
		}
		
		internal virtual void  menuViewTriangulated_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			LimidDomain.showMoral = true;
			LimidDomain.showJunction = false;
			activeCanvas.Refresh();
		}
		
		internal virtual void  triangulateButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			TriangulateCommand command = new TriangulateCommand(activeCanvas, menuViewTriangulated, menuViewMoral, menuViewJunction);
			history.addCommand(command);
		}
		
		internal virtual void  editNodeMenu_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			EditNodeCommand command = new EditNodeCommand(activeCanvas);
			history.addCommand(command);
		}
		
		internal virtual void  editNodeTable_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			NodeList nodes = activeCanvas.SelectedNodes;
			if (nodes.Count > 0)
			{
				Node node = (Node) nodes[0];
				//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Object.toString' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
				NodeTableEditor editor = new NodeTableEditor(this, "Edit potential table for node " + node, true, node);
				//UPGRADE_TODO: Method 'java.awt.Component.setVisible' was converted to 'System.Windows.Forms.Control.Visible' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
				//UPGRADE_TODO: System.Windows.Forms.Application.Run must be called to start a main form. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1135"'
				editor.Visible = true;
			}
		}
		
		internal virtual void  junctionTreeButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			JunctionTreeCommand command = new JunctionTreeCommand(activeCanvas, menuViewJunction);
			history.addCommand(command);
		}
		
		internal virtual void  menuNetMoralize_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			this.moralizeButton_actionPerformed(e);
		}
		
		internal virtual void  menuNetTriangulate_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			this.triangulateButton_actionPerformed(e);
		}
		
		internal virtual void  menuNetCompile_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			this.junctionTreeButton_actionPerformed(e);
		}
		
		internal virtual void  menuNetOrdering_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			ReOrderingCommand command = new ReOrderingCommand(activeCanvas);
			history.addCommand(command);
		}
		
		internal virtual void  menuNetSPU_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			try
			{
				SPUResult result = activeLimid.singlePolicyUpdating();
				ResultBrowser browser = new ResultBrowser(this, "Optimization results", true, result);
				//UPGRADE_TODO: Method 'java.awt.Component.setVisible' was converted to 'System.Windows.Forms.Control.Visible' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
				//UPGRADE_TODO: System.Windows.Forms.Application.Run must be called to start a main form. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1135"'
				browser.Visible = true;
			}
			catch (MLPNetworkNotCompiledException ex)
			{
				//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				JOptionPane.showMessageDialog(this, "You must compile the model before you perform Single Policy Updating", "Network not compiled", JOptionPane.ERROR_MESSAGE);
			}
			catch (MLPOperationNotAllowedException ex)
			{
				//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
				//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				JOptionPane.showMessageDialog(this, ex.Message, "Unexpected error", JOptionPane.ERROR_MESSAGE);
			}
		}
		
		//UPGRADE_TODO: Class 'javax.swing.filechooser.FileFilter' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal virtual System.IO.FileInfo getSaveFile(javax.swing.filechooser.FileFilter filter)
		{
			//UPGRADE_TODO: Class 'javax.swing.JFileChooser' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			JFileChooser chooser = new AnonymousClassJFileChooser(this);
			//UPGRADE_TODO: Method 'javax.swing.JFileChooser.setFileFilter' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chooser.setFileFilter(filter);
			//UPGRADE_TODO: Method 'javax.swing.JFileChooser.showSaveDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			int returnVal = chooser.showSaveDialog(this);
			//UPGRADE_TODO: Field 'javax.swing.JFileChooser.APPROVE_OPTION' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (returnVal == JFileChooser.APPROVE_OPTION)
			{
				//UPGRADE_TODO: Method 'javax.swing.JFileChooser.getSelectedFile' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				return chooser.getSelectedFile();
			}
			else
				return null;
		}
		
		//UPGRADE_TODO: Class 'javax.swing.filechooser.FileFilter' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal virtual System.IO.FileInfo getOpenFile(javax.swing.filechooser.FileFilter filter)
		{
			System.IO.FileInfo file = this.getSaveFile(new XMLFileFilter());
			//UPGRADE_TODO: Class 'javax.swing.JFileChooser' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Constructor 'javax.swing.JFileChooser.JFileChooser' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			JFileChooser chooser = new JFileChooser();
			//UPGRADE_TODO: Method 'javax.swing.JFileChooser.setFileFilter' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chooser.setFileFilter(new XMLFileFilter());
			//UPGRADE_TODO: Method 'javax.swing.JFileChooser.showOpenDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			int returnVal = chooser.showOpenDialog(this);
			//UPGRADE_TODO: Field 'javax.swing.JFileChooser.APPROVE_OPTION' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (returnVal == JFileChooser.APPROVE_OPTION)
			{
				//UPGRADE_TODO: Method 'javax.swing.JFileChooser.getSelectedFile' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				return chooser.getSelectedFile();
			}
			else
				return null;
		}
		
		internal virtual void  menuViewJunction_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			LimidDomain.showJunction = true;
			//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.getSelectedComponent' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			tabbedPane.getSelectedComponent().Refresh();
		}
		
		internal virtual void  menuFileSaveAs_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			System.IO.FileInfo file = this.getSaveFile(new XMLFileFilter());
			if (file != null)
				try
				{
					System.IO.StreamWriter stream;
					activeCanvas.SaveFile = file;
					//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					menuFileSave.setEnabled(true);
					//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					saveButton.setEnabled(true);
					System.IO.FileStream fileOut = new System.IO.FileStream(file.FullName, System.IO.FileMode.Create);
					stream = new System.IO.StreamWriter(fileOut);
					activeLimid.toStream("", stream);
					//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.setTitleAt' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.getSelectedIndex' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					tabbedPane.setTitleAt(tabbedPane.getSelectedIndex(), activeLimid.Name + " [" + activeCanvas.SaveFile.FullName + "]");
					stream.Close();
				}
				catch (System.IO.IOException exception)
				{
					//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
					JOptionPane.showMessageDialog(this, System.String.Concat("Error writing to file ", file.Name) + ": " + exception.Message, "File error", 0);
				}
		}
		
		internal virtual void  menuFileSave_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			try
			{
				System.IO.StreamWriter stream;
				System.IO.FileStream fileOut = new System.IO.FileStream(activeCanvas.SaveFile.FullName, System.IO.FileMode.Create);
				stream = new System.IO.StreamWriter(fileOut);
				activeLimid.toStream("", stream);
				stream.Close();
			}
			catch (System.IO.IOException exception)
			{
				//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
				JOptionPane.showMessageDialog(this, System.String.Concat("Error writing to file ", activeCanvas.SaveFile.Name) + ": " + exception.Message, "File error", 0);
			}
		}
		
		internal virtual void  saveButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			menuFileSave_actionPerformed(e);
		}
		
		internal virtual void  menuFileExport_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			System.IO.FileInfo file = this.getSaveFile(new NetFileFilter());
			try
			{
				if (file != null)
					activeLimid.toNetFile(file.FullName);
			}
			catch (System.IO.IOException exception)
			{
				//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
				JOptionPane.showMessageDialog(this, System.String.Concat("Error writing to file ", activeCanvas.SaveFile.Name) + ": " + exception.Message, "File error", 0);
			}
		}
		
		internal virtual void  menuNetEdit_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			NetworkPropertyCommand command = new NetworkPropertyCommand(activeCanvas);
			history.addCommand(command);
		}
		
		internal virtual void  menuFileOpen_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Class 'javax.swing.JFileChooser' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Constructor 'javax.swing.JFileChooser.JFileChooser' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			JFileChooser chooser = new JFileChooser();
			//UPGRADE_TODO: Method 'javax.swing.JFileChooser.setFileFilter' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			chooser.setFileFilter(new XMLFileFilter());
			//UPGRADE_TODO: Method 'javax.swing.JFileChooser.showOpenDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			int returnVal = chooser.showOpenDialog(this);
			//UPGRADE_TODO: Field 'javax.swing.JFileChooser.APPROVE_OPTION' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (returnVal == JFileChooser.APPROVE_OPTION)
			{
				try
				{
					//UPGRADE_TODO: Method 'javax.swing.JFileChooser.getSelectedFile' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					System.IO.FileInfo file = chooser.getSelectedFile();
					ModelReader reader = new ModelReader(file);
					this.addLimid(reader.readLimid(), file);
				}
				catch (System.IO.IOException ex)
				{
					//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
					//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					JOptionPane.showMessageDialog(this, ex.Message, "Error reading input file", JOptionPane.ERROR_MESSAGE);
				}
				catch (ParseException ex)
				{
					//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
					//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					JOptionPane.showMessageDialog(this, ex.Message, "Error parsing input file", JOptionPane.ERROR_MESSAGE);
				}
				catch (MLPDuplicateNodeNameException ex)
				{
					//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
					//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					JOptionPane.showMessageDialog(this, ex.Message, "The input file contains duplicate node name(s)", JOptionPane.ERROR_MESSAGE);
				}
				catch (MLPOperationNotAllowedException ex)
				{
					//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
					//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					JOptionPane.showMessageDialog(this, ex.Message, "Illegal edge in input file", JOptionPane.ERROR_MESSAGE);
				}
				catch (MLPNodeNotFoundException ex)
				{
					//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
					//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					JOptionPane.showMessageDialog(this, ex.Message, "An edge refer to a non-existing node", JOptionPane.ERROR_MESSAGE);
				}
				catch (TokenMgrError er)
				{
					//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showMessageDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Throwable.getMessage' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
					//UPGRADE_TODO: Field 'javax.swing.JOptionPane.ERROR_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					JOptionPane.showMessageDialog(this, er.Message, "Illegal token in file", JOptionPane.ERROR_MESSAGE);
				}
			}
		}
		
		internal virtual void  openButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			menuFileOpen_actionPerformed(e);
		}
		
		internal virtual void  menuFileClose_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.JOptionPane.showConfirmDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.JOptionPane.YES_NO_CANCEL_OPTION' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.JOptionPane.QUESTION_MESSAGE' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			int answer = JOptionPane.showConfirmDialog(this, "Do you want to save LIMID " + activeLimid.Name + " before exit?", "Close model", JOptionPane.YES_NO_CANCEL_OPTION, JOptionPane.QUESTION_MESSAGE);
			//UPGRADE_TODO: Field 'javax.swing.JOptionPane.YES_OPTION' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (answer == JOptionPane.YES_OPTION)
			{
				if (activeCanvas.SaveFile != null)
					menuFileSave_actionPerformed(e);
				else
					menuFileSaveAs_actionPerformed(e);
			}
			//UPGRADE_TODO: Field 'javax.swing.JOptionPane.CANCEL_OPTION' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			if (answer != JOptionPane.CANCEL_OPTION)
			{
				//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.removeTabAt' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.getSelectedIndex' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				tabbedPane.removeTabAt(tabbedPane.getSelectedIndex());
				//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.setSelectedIndex' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				tabbedPane.setSelectedIndex(0);
				//UPGRADE_TODO: Constructor 'javax.swing.event.ChangeEvent.ChangeEvent' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				this.tabbedPane_stateChanged(new ChangeEvent(this));
			}
		}
		
		internal virtual void  menuNetRelocate_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Class 'javax.swing.JScrollPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JTabbedPane.getSelectedComponent' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			JScrollPane scroll = (JScrollPane) tabbedPane.getSelectedComponent();
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			System.Drawing.Size size = scroll.getViewport().Size;
			RelocateCommand command = new RelocateCommand(activeCanvas, size);
			history.addCommand(command);
		}
		
		internal virtual void  helpButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			AboutBox ab = new AboutBox(this);
			//UPGRADE_TODO: Method 'java.awt.Component.setVisible' was converted to 'System.Windows.Forms.Control.Visible' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			//UPGRADE_TODO: System.Windows.Forms.Application.Run must be called to start a main form. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1135"'
			ab.Visible = true;
		}
		
		internal virtual void  menuHelpAbout_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			helpButton_actionPerformed(e);
		}
		static LimidFrame()
		{
			nodeContainer = new LimidDomain();
		}
	}
}