using System;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> An interface defining the methods of objects listening for selection changes.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public interface LimidSelectionListener
		{
			
			/// <summary> Should be called when the selection is cleared.</summary>
			void  selectionCleared();
			
			/// <summary> Should be called when a selection is created.</summary>
			void  selectionCreated();
		}
}