using System;
using dk.esthauge.limid.api;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> A dialog used for specifying the decision node ordering of the active Limid.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	
	//UPGRADE_TODO: Class 'javax.swing.JDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
	public class OrderingDialog:JDialog
	{
		private void  InitBlock()
		{
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			panel1 = new JPanel();
			//UPGRADE_ISSUE: Constructor 'java.awt.BorderLayout.BorderLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtBorderLayout"'
			borderLayout1 = new BorderLayout();
			//UPGRADE_TODO: Constructor 'javax.swing.JScrollPane.JScrollPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nodeScroll = new JScrollPane();
			//UPGRADE_TODO: Constructor 'javax.swing.JPanel.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			buttonPanel = new JPanel();
			//UPGRADE_TODO: Constructor 'javax.swing.JLabel.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			messageLabel = new JLabel();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			okButton = new JButton();
			//UPGRADE_TODO: Constructor 'javax.swing.JTable.JTable' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionNodes = new JTable();
			//UPGRADE_TODO: Constructor 'javax.swing.JButton.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			cancelButton = new JButton();
		}
		virtual public NodeList NewOrdering
		{
			get
			{
				if (newOrdering == null)
					return nodes;
				else
					return newOrdering;
			}
			
		}
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'panel1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel panel1;
		//UPGRADE_ISSUE: Class 'java.awt.BorderLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtBorderLayout"'
		//UPGRADE_NOTE: The initialization of  'borderLayout1' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal BorderLayout borderLayout1;
		//UPGRADE_TODO: Class 'javax.swing.JScrollPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'nodeScroll' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JScrollPane nodeScroll;
		//UPGRADE_TODO: Class 'javax.swing.JPanel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'buttonPanel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JPanel buttonPanel;
		//UPGRADE_TODO: Class 'javax.swing.JLabel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'messageLabel' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JLabel messageLabel;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'okButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton okButton;
		//UPGRADE_TODO: Class 'javax.swing.JTable' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'decisionNodes' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JTable decisionNodes;
		//UPGRADE_TODO: Class 'javax.swing.table.DefaultTableModel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		internal DefaultTableModel model;
		internal NodeList nodes;
		//UPGRADE_TODO: Class 'javax.swing.JButton' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		//UPGRADE_NOTE: The initialization of  'cancelButton' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		internal JButton cancelButton;
		internal NodeList newOrdering = null;
		
		//UPGRADE_TODO: Class 'java.awt.Frame' was converted to 'System.Windows.Forms.Form' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
		public OrderingDialog(System.Windows.Forms.Form frame, System.String title, bool modal, NodeList nodes):base(frame, title, modal)
		{
			InitBlock();
			//UPGRADE_TODO: Constructor 'javax.swing.JDialog.JDialog' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.nodes = nodes;
			try
			{
				jbInit();
				//UPGRADE_ISSUE: Method 'java.awt.Window.pack' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtWindowpack"'
				pack();
			}
			catch (System.Exception ex)
			{
				SupportClass.WriteStackTrace(ex, Console.Error);
			}
		}
		
		public OrderingDialog():this(null, "", false, new NodeList())
		{
		}
		private void  jbInit()
		{
			//UPGRADE_TODO: Constructor 'javax.swing.table.DefaultTableModel.DefaultTableModel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			model = new DefaultTableModel(SupportClass.CreateCollection(nodes), 0);
			//UPGRADE_ISSUE: Method 'java.awt.Container.setLayout' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaawtContainersetLayout_javaawtLayoutManager"'
			panel1.setLayout(borderLayout1);
			//UPGRADE_TODO: Method 'javax.swing.JLabel.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			messageLabel.setText("Re-order the boxes in order to obtain the " + "desired policy updating order");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			okButton.setText("OK");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			okButton.addActionListener(new OrderingDialog_okButton_actionAdapter(this));
			//UPGRADE_TODO: Method 'javax.swing.JTable.setModel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionNodes.setModel(model);
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.setText' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			cancelButton.setText("Cancel");
			//UPGRADE_TODO: Method 'javax.swing.AbstractButton.addActionListener' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			cancelButton.addActionListener(new OrderingDialog_cancelButton_actionAdapter(this));
			//UPGRADE_TODO: Method 'javax.swing.JTable.getColumnCount' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			for (int i = 0; i < decisionNodes.getColumnCount(); i++)
			{
				//UPGRADE_TODO: Class 'javax.swing.table.TableColumn' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Method 'javax.swing.table.TableColumnModel.getColumn' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				//UPGRADE_TODO: Method 'javax.swing.JTable.getColumnModel' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				TableColumn column = decisionNodes.getColumnModel().getColumn(i);
				//UPGRADE_TODO: Method 'javax.swing.table.TableColumn.setPreferredWidth' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				column.setPreferredWidth(70);
				//UPGRADE_TODO: Method 'javax.swing.table.TableColumn.setMinWidth' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				column.setMinWidth(60);
			}
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.setHorizontalScrollBarPolicy' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_ALWAYS' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nodeScroll.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants_Fields.HORIZONTAL_SCROLLBAR_ALWAYS);
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.setVerticalScrollBarPolicy' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nodeScroll.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants_Fields.VERTICAL_SCROLLBAR_NEVER);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Windows.Forms.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			//UPGRADE_TODO: Method 'javax.swing.JDialog.getContentPane' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			getContentPane().Controls.Add(panel1);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			panel1.Controls.Add(nodeScroll);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			panel1.Controls.Add(buttonPanel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			panel1.Controls.Add(messageLabel);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			buttonPanel.Controls.Add(okButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			buttonPanel.Controls.Add(cancelButton);
			//UPGRADE_TODO: Method 'java.awt.Container.add' was converted to 'System.Drawing.ContainerControl.Controls.Add' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nodeScroll.getViewport().Controls.Add(decisionNodes);
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setPreferredSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.table.DefaultTableModel.getRowCount' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nodeScroll.getViewport().setPreferredSize(new System.Drawing.Size(model.getRowCount() * 70, 0));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMaximumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nodeScroll.getViewport().setMaximumSize(new System.Drawing.Size(700, 0));
			//UPGRADE_TODO: Method 'javax.swing.JComponent.setMinimumSize' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JScrollPane.getViewport' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'javax.swing.JComponent.getWidth' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			nodeScroll.getViewport().setMinimumSize(new System.Drawing.Size(messageLabel.getWidth(), 0));
			//UPGRADE_TODO: Method 'javax.swing.JTable.setAutoResizeMode' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Field 'javax.swing.JTable.AUTO_RESIZE_OFF' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			decisionNodes.setAutoResizeMode(JTable.AUTO_RESIZE_OFF);
			//UPGRADE_TODO: Method 'javax.swing.JDialog.setLocationRelativeTo' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'java.awt.Window.getOwner' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			setLocationRelativeTo(this.getOwner());
		}
		
		internal virtual void  cancelButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'java.awt.Dialog.dispose' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.dispose();
		}
		
		internal virtual void  okButton_actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			//UPGRADE_TODO: Method 'javax.swing.JTable.getColumnCount' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			int[] indexes = new int[decisionNodes.getColumnCount()];
			newOrdering = new NodeList();
			for (int i = 0; i < indexes.Length; i++)
			{
				//UPGRADE_TODO: Method 'javax.swing.JTable.convertColumnIndexToView' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
				int nr = decisionNodes.convertColumnIndexToView(i);
				newOrdering.Add(nodes[nr]);
			}
			//UPGRADE_TODO: Method 'java.awt.Dialog.dispose' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			this.dispose();
		}
	}
	
	class OrderingDialog_cancelButton_actionAdapter
	{
		internal OrderingDialog adaptee;
		
		internal OrderingDialog_cancelButton_actionAdapter(OrderingDialog adaptee)
		{
			this.adaptee = adaptee;
		}
		public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			adaptee.cancelButton_actionPerformed(event_sender, e);
		}
	}
	
	class OrderingDialog_okButton_actionAdapter
	{
		internal OrderingDialog adaptee;
		
		internal OrderingDialog_okButton_actionAdapter(OrderingDialog adaptee)
		{
			this.adaptee = adaptee;
		}
		public virtual void  actionPerformed(System.Object event_sender, System.EventArgs e)
		{
			adaptee.okButton_actionPerformed(event_sender, e);
		}
	}
}