using System;
using dk.esthauge.limid.api;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> A command that selects some items.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class SelectCommand : Command
	{
		private void  InitBlock()
		{
			newSelection = new SupportClass.ListCollectionSupport();
		}
		//UPGRADE_NOTE: The initialization of  'newSelection' was moved to method 'InitBlock'. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1005"'
		private SupportClass.ListCollectionSupport newSelection;
		private SupportClass.ListCollectionSupport oldSelection;
		private LimidCanvas canvas;
		private System.String name = "Selection";
		
		/// <summary> Creates a command object</summary>
		/// <param name="sel">The selected items
		/// </param>
		/// <param name="can">The active canvas
		/// </param>
		//UPGRADE_ISSUE: Class hierarchy differences between ''java.util.Collection'' and ''SupportClass.CollectionSupport'' may cause compilation errors. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1186"'
		public SelectCommand(SupportClass.CollectionSupport sel, LimidCanvas can)
		{
			InitBlock();
			newSelection.AddAll(sel);
			canvas = can;
			oldSelection = can.SelectedItems;
		}
		
		public SelectCommand(LimidCanvas can)
		{
			InitBlock();
			newSelection = new SupportClass.ListCollectionSupport();
			canvas = can;
			oldSelection = can.SelectedItems;
			name = "Clear selection";
		}
		
		public virtual void  execute()
		{
			canvas.SelectionSet.Clear();
			canvas.SelectionSet.AddAll(newSelection);
			canvas.Refresh();
		}
		
		public virtual void  undo()
		{
			canvas.clearSelection();
			canvas.SelectionSet.AddAll(oldSelection);
			canvas.Refresh();
		}
		
		public virtual System.String ToString()
		{
			return name;
		}
	}
}