using System;
using dk.esthauge.limid.api;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> A rectangle used for selection of several items (nodes and edges).
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	//UPGRADE_TODO: The class 'Rectangle' is marked as Sealed. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1147"'
	public class SelectionArea:System.Drawing.Rectangle, Drawable
	{
		
		/// <summary> Creates a selection area with the specified point as upper left corner.</summary>
		/// <param name="location">The point.
		/// </param>
		public SelectionArea(System.Drawing.Point location):base(temp_Point.X, temp_Point.Y, 0, 0)
		{
			System.Drawing.Point temp_Point;
			temp_Point = location;
		}
		
		
		public virtual void  draw(System.Drawing.Graphics graphics)
		{
			SupportClass.GraphicsManager.manager.SetColor(graphics, System.Drawing.Color.Gray);
			//UPGRADE_WARNING: Narrowing conversions may produce unexpected results in C#. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1042"'
			//UPGRADE_TODO: Method 'java.awt.Rectangle.getWidth' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			//UPGRADE_TODO: Method 'java.awt.Rectangle.getHeight' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			graphics.DrawRectangle(SupportClass.GraphicsManager.manager.GetPen(graphics), this.Location.X, this.Location.Y, (int) this.getWidth(), (int) this.getHeight());
			SupportClass.GraphicsManager.manager.SetColor(graphics, System.Drawing.Color.Black);
		}
		
		public virtual void  drawSelected(System.Drawing.Graphics graphics)
		{
			this.draw(graphics);
		}
		
		//UPGRADE_TODO: Class 'java.awt.geom.Point2D' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		public virtual bool isPointWithinShape(Point2D point)
		{
			//UPGRADE_TODO: Method 'java.awt.geom.RectangularShape.contains' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			return this.contains(point);
		}
		
		//UPGRADE_TODO: Class 'java.awt.geom.Point2D' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		public virtual Drawable getSelectedItem(Point2D point)
		{
			if (this.isPointWithinShape(point))
				return this;
			else
				return null;
		}
		
		
		//UPGRADE_ISSUE: Class hierarchy differences between ''java.util.Collection'' and ''SupportClass.CollectionSupport'' may cause compilation errors. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1186"'
		public virtual SupportClass.CollectionSupport addSelectedItems(System.Drawing.Rectangle r, SupportClass.CollectionSupport allready)
		{
			return allready;
		}
		
		// We want the primitive equals statement
		public override bool Equals(System.Object parm1)
		{
			return (parm1 == this);
		}
	}
}