using System;
using dk.esthauge.limid.api;
namespace dk.esthauge.limid.gui
{
	
	/// <summary> A command triangulated the active Limid.
	/// <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class TriangulateCommand : Command
	{
		private LimidDomain limid;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		private JMenuItem triangulate;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		private JMenuItem moral;
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		private JMenuItem junction;
		private LimidCanvas canvas;
		
		/// <summary> Creates a command object.</summary>
		/// <param name="can">The active canvas
		/// </param>
		/// <param name="tri">The menu item representing "View triangulated graph"
		/// </param>
		/// <param name="mor">The menu item representing "View moral graph"
		/// </param>
		/// <param name="junc">The menu item representing "View junction tree"
		/// </param>
		//UPGRADE_TODO: Class 'javax.swing.JMenuItem' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
		public TriangulateCommand(LimidCanvas can, JMenuItem tri, JMenuItem mor, JMenuItem junc)
		{
			this.limid = can.Limid;
			canvas = can;
			triangulate = tri;
			moral = mor;
			junction = junc;
		}
		
		public virtual void  execute()
		{
			limid.triangulate();
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moral.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			triangulate.setEnabled(true);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			junction.setEnabled(false);
			canvas.Refresh();
		}
		
		public virtual void  undo()
		{
			limid.deTriangulate();
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			moral.setEnabled(true);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			triangulate.setEnabled(false);
			//UPGRADE_TODO: Method 'javax.swing.JMenuItem.setEnabled' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
			junction.setEnabled(false);
			canvas.Refresh();
		}
		
		public virtual System.String ToString()
		{
			return "Triangulate";
		}
	}
}