using System;
using LineInput = dk.kvl.ihh.prodstyr.mlhmp.LineInput;
namespace dk.esthauge.limid.test
{
	
	/// <summary> <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	
	public class CodeToLaTeX
	{
		internal System.IO.FileInfo javaDir;
		internal System.IO.FileInfo laTeXDir;
		internal System.IO.FileInfo output;
		internal System.IO.StreamWriter writer;
		//UPGRADE_ISSUE: Class hierarchy differences between 'java.util.ArrayList' and 'System.Collections.ArrayList' may cause compilation errors. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1186"'
		internal System.Collections.ArrayList lines;
		internal System.String className;
		internal System.String longClassName;
		
		
		public CodeToLaTeX(System.String codeDir, System.String outputDir, System.String laTeXFileName)
		{
			javaDir = new System.IO.FileInfo(codeDir);
			laTeXDir = new System.IO.FileInfo(outputDir);
			output = new System.IO.FileInfo(laTeXDir.FullName + "\\" + laTeXFileName);
			//UPGRADE_ISSUE: Constructor 'java.io.BufferedWriter.BufferedWriter' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1000_javaioBufferedWriterBufferedWriter_javaioWriter"'
			//UPGRADE_TODO: Class 'java.io.FileWriter' was converted to 'System.IO.StreamWriter' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073"'
			writer = new BufferedWriter(new System.IO.StreamWriter(output.FullName));
		}
		
		public virtual void  consumeFile(System.String input)
		{
			LineInput li = new LineInput(input);
			//UPGRADE_ISSUE: Class hierarchy differences between 'java.util.ArrayList' and 'System.Collections.ArrayList' may cause compilation errors. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1186"'
			lines = new System.Collections.ArrayList();
			try
			{
				System.String line = "";
				className = "";
				while ((System.Object) line != null)
				{
					line = li.inline();
					//System.out.println(line);
					if ((System.Object) line != null)
					{
						//UPGRADE_TODO: The equivalent in .NET for method 'java.util.ArrayList.add' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
						lines.Add(line);
						line.Trim();
					}
					if (className.Equals("") && (System.Object) line != null && line.Length > 13 && line.StartsWith("public class "))
					{
						char c = '-';
						int i = 13;
						while (c != ' ' && c != ';' && i < line.Length)
						{
							c = line[i];
							if (c == '_')
							{
								className = System.String.Concat(className, "\\");
							}
							className = System.String.Concat(className, ("" + c));
							i++;
						}
						longClassName = "Class " + className;
					}
					if (className.Equals("") && (System.Object) line != null && line.Length > 17 && line.StartsWith("public interface "))
					{
						char c = '-';
						int i = 17;
						while (c != ' ' && c != ';' && i < line.Length)
						{
							c = line[i];
							if (c == '_')
							{
								className = System.String.Concat(className, "\\");
							}
							className = System.String.Concat(className, ("" + c));
							i++;
						}
						longClassName = "Interface " + className;
					}
					if (className.Equals("") && (System.Object) line != null && line.Length > 22 && line.StartsWith("public abstract class "))
					{
						char c = '-';
						int i = 22;
						while (c != ' ' && c != ';' && i < line.Length)
						{
							c = line[i];
							if (c == '_')
							{
								className = System.String.Concat(className, "\\");
							}
							className = System.String.Concat(className, ("" + c));
							i++;
						}
						longClassName = "Abstract class " + className;
					}
				}
			}
			catch (System.IO.IOException ex)
			{
				// End of file
			}
		}
		
		public virtual void  outputFile()
		{
			writer.Write("\\subsection{" + longClassName + "}\n\n");
			writer.Write("\\label{sec:" + className + "}\n");
			writer.Write("{\\scriptsize\n");
			writer.Write("\\begin{verbatim}\n");
			//UPGRADE_TODO: The equivalent in .NET for method 'java.util.ArrayList.size' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
			for (int i = 0; i < lines.Count; i++)
			{
				//UPGRADE_TODO: The equivalent in .NET for method 'java.lang.Object.toString' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
				writer.Write(lines[i] + "\n");
			}
			writer.Write("\\end{verbatim}\n");
			writer.Write("}\n\n");
		}
		
		[STAThread]
		public static void  Main(System.String[] args)
		{
			try
			{
				CodeToLaTeX fo = new CodeToLaTeX(args[0], args[1], args[2]);
				if (System.IO.Directory.Exists(fo.javaDir.FullName) && System.IO.Directory.Exists(fo.laTeXDir.FullName))
				{
					//UPGRADE_ISSUE: Class hierarchy differences between 'java.util.ArrayList' and 'System.Collections.ArrayList' may cause compilation errors. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1186"'
					System.Collections.ArrayList excludes = new System.Collections.ArrayList();
					//UPGRADE_TODO: Method 'java.io.File.listFiles' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					System.IO.FileInfo[] allFiles = fo.javaDir.listFiles();
					for (int i = 0; i < allFiles.Length; i++)
						if (allFiles[i].Name.ToUpper().Equals("exclude.lst".ToUpper()))
						{
							LineInput li = new LineInput(allFiles[i].FullName);
							System.String line = "";
							while ((System.Object) line != null)
							{
								line = li.inline();
								if ((System.Object) line != null)
								{
									//UPGRADE_TODO: The equivalent in .NET for method 'java.util.ArrayList.add' may return a different value. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1043"'
									excludes.Add(line);
								}
								System.Console.Out.WriteLine("Exclude " + line);
							}
						}
					//UPGRADE_TODO: Method 'java.io.File.listFiles' was not converted. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1095"'
					System.IO.FileInfo[] sourceFiles = fo.javaDir.listFiles(new JavaFileFilter());
					//UPGRADE_TODO: Method 'java.util.Arrays.sort' was converted to 'System.Array.Sort' which has a different behavior. 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="jlca1073_javautilArrayssort_javalangObject[]"'
					System.Array.Sort(sourceFiles);
					for (int i = 0; i < sourceFiles.Length; i++)
					{
						if (System.IO.File.Exists(sourceFiles[i].FullName) && (!excludes.Contains(sourceFiles[i].Name)))
						{
							fo.consumeFile(sourceFiles[i].FullName);
							fo.outputFile();
							System.Console.Out.WriteLine("Class written " + fo.className);
						}
					}
					fo.writer.Flush();
					fo.writer.Close();
				}
				else
				{
					System.Console.Out.WriteLine("Invalid arguments");
				}
			}
			catch (System.IO.IOException ex)
			{
				SupportClass.WriteStackTrace(ex, Console.Error);
			}
		}
	}
}