using System;
using dk.esthauge.limid.api;
using dk.esthauge.limid.gui;
namespace dk.esthauge.limid.test
{
	
	/// <summary> <p>Title: Limited Memory Influence Diagrams</p>
	/// <p>Description: Implementation and GUI</p>
	/// <p>Copyright: Copyright (c) 2003</p>
	/// <p>Company: </p>
	/// </summary>
	/// <author>  Anders Ringgaard Kristensen
	/// </author>
	/// <version>  1.0
	/// </version>
	public class TestSuite
	{
		
		public TestSuite()
		{
		}
		
		[STAThread]
		public static void  Main(System.String[] args)
		{
			
			System.Console.Out.WriteLine("Exceptions are thrown as expected: " + ExceptionTester.testParentExceptions());
			
			/*
			CompilationTester testPigNet =
			new CompilationTester("C:/Hugin/svinelimid.xml");
			testPigNet.testCompilation();
			
			CompilationTester testAlarm =
			new CompilationTester("C:/Hugin/alarm.xml");
			testAlarm.testCompilation();
			
			CompilationTester testAuto =
			new CompilationTester("C:/Hugin/auto.xml");
			testAuto.testCompilation();*/
			// Test a model with only one clique
			randomTest(1, 2);
			RandomLimidGenerator generator = new RandomLimidGenerator(2000);
			LimidDomain model = generator.NextRandomLimid;
			System.Console.Out.WriteLine("Nodes " + model.Nodes.Count);
			try
			{
				model.compile();
				System.Console.Out.WriteLine("Compiled");
			}
			catch (System.Exception ex)
			{
			}
			
			
			/*
			randomTest(1000, 200);*/
		}
		
		public static void  randomTest(int replications, int maxNodeCount)
		{
			RandomLimidGenerator generator = new RandomLimidGenerator(maxNodeCount);
			System.Console.Out.WriteLine("+----------------+-------+-------+---------+---------+---------------+");
			System.Console.Out.WriteLine("| Model          | Nodes | Moral | Triang. | Cliques | Junction tree |");
			System.Console.Out.WriteLine("+----------------+-------+-------+---------+---------+---------------+");
			try
			{
				for (int i = 0; i < replications; i++)
				{
					LimidDomain limid = generator.NextRandomLimid;
					CompilationTester tester = new CompilationTester(limid);
					System.String name = limid.Name;
					int nc = limid.Nodes.Count;
					System.String ncs = "" + nc;
					int j = name.Length;
					System.Console.Out.Write("| " + limid.Name);
					for (int k = 2 + j; k < 17; k++)
						System.Console.Out.Write(" ");
					System.Console.Out.Write("|");
					for (int k = 0; k < 5 - ncs.Length; k++)
						System.Console.Out.Write(" ");
					System.Console.Out.Write(ncs + "  |   ");
					bool test = tester.testMoralization();
					if (test)
						System.Console.Out.Write("OK  |   ");
					else
						System.Console.Out.Write("--  |   ");
					test = tester.testTriangulation();
					if (test)
						System.Console.Out.Write("OK    |    ");
					else
						System.Console.Out.Write("--    |    ");
					test = tester.testCliques();
					if (test)
						System.Console.Out.Write("OK   |        ");
					else
						System.Console.Out.Write("--   |        ");
					test = tester.testJunctionTree();
					if (test)
						System.Console.Out.WriteLine("OK     |");
					else
						System.Console.Out.WriteLine("--     |");
				}
				System.Console.Out.WriteLine("+----------------+-------+-------+---------+---------+---------------+");
			}
			catch (System.Exception ex)
			{
				SupportClass.WriteStackTrace(ex, Console.Error);
			}
		}
	}
}